------------------------------------------------------------------------
r3617 | const_k | 2009-03-05 12:38:33 +0600 (Thu, 05 Mar 2009) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/Imake.tmpl
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/linux.cf
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfb8cppl.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/ffsl.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/httpd.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mibitblt.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/WaitFor.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/connection.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/io.c

[Bugfixes] Fixes for 64-bit Linux issues, a patch from Russel Miranda.

------------------------------------------------------------------------
r3616 | const_k | 2009-03-05 11:52:25 +0600 (Thu, 05 Mar 2009) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/classes/VncCanvas.class
   M /orig/trunk/vnc_unixsrc/classes/VncViewer.jar

[Build fix] Updated built-in Java viewer to the latest version.

------------------------------------------------------------------------
r3595 | const_k | 2009-02-12 10:27:18 +0600 (Thu, 12 Feb 2009) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/tightvncserver.conf
   M /orig/trunk/vnc_unixsrc/vncserver

Made colorPath configurable via tightvncserver.conf, provided a better example of setting fontPath.

------------------------------------------------------------------------
r3590 | const_k | 2009-02-05 15:48:09 +0600 (Thu, 05 Feb 2009) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/README
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnc.def
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/init.c
   M /orig/trunk/vnc_unixsrc/tightvnc.spec
   M /orig/trunk/vnc_unixsrc/vncserver
   M /orig/trunk/vnc_unixsrc/vncviewer/README
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c

[Packaging] Version-specific information updated, version 1.3.10.

------------------------------------------------------------------------
r3570 | const_k | 2009-01-23 19:07:59 +0600 (Fri, 23 Jan 2009) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/classes/AuthPanel.class
   M /orig/trunk/vnc_unixsrc/classes/ButtonPanel.class
   M /orig/trunk/vnc_unixsrc/classes/CapabilityInfo.class
   M /orig/trunk/vnc_unixsrc/classes/CapsContainer.class
   M /orig/trunk/vnc_unixsrc/classes/ClipboardFrame.class
   M /orig/trunk/vnc_unixsrc/classes/DesCipher.class
   M /orig/trunk/vnc_unixsrc/classes/InStream.class
   M /orig/trunk/vnc_unixsrc/classes/MemInStream.class
   M /orig/trunk/vnc_unixsrc/classes/OptionsFrame.class
   M /orig/trunk/vnc_unixsrc/classes/RecordingFrame.class
   M /orig/trunk/vnc_unixsrc/classes/ReloginPanel.class
   M /orig/trunk/vnc_unixsrc/classes/RfbProto.class
   M /orig/trunk/vnc_unixsrc/classes/SessionRecorder.class
   M /orig/trunk/vnc_unixsrc/classes/SocketFactory.class
   M /orig/trunk/vnc_unixsrc/classes/VncCanvas.class
   M /orig/trunk/vnc_unixsrc/classes/VncCanvas2.class
   M /orig/trunk/vnc_unixsrc/classes/VncViewer.class
   M /orig/trunk/vnc_unixsrc/classes/VncViewer.jar
   M /orig/trunk/vnc_unixsrc/classes/ZlibInStream.class

[Build fix] Updated built-in Java viewer to the latest version.

------------------------------------------------------------------------
r3567 | const_k | 2009-01-22 16:35:08 +0600 (Thu, 22 Jan 2009) | 2 lines
Changed paths:
   A /orig/trunk/vnc_unixsrc/tightvncserver.conf
   M /orig/trunk/vnc_unixsrc/vncserver
   M /orig/trunk/vnc_unixsrc/vncserver.man

[Development] Reading configuration from files in the vncserver script.

------------------------------------------------------------------------
r2423 | const_k | 2008-03-17 11:05:54 +0600 (Mon, 17 Mar 2008) | 1 line
Changed paths:
   M /orig/trunk/vnc_javasrc
   M /orig/trunk/vnc_unixsrc
   M /orig/trunk/vnc_winsrc

Set SVN project language to English.
------------------------------------------------------------------------
r2295 | const_k | 2007-05-02 14:03:59 +0700 (Wed, 02 May 2007) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vnc-xclients.patch

Updated the patch. Now it should create much better initial .vnc/xstartup file on first execution of the vncserver script. New xstartup script solves the problem with empty screen under Fedora Core 6, and provides an example of setting up desktop environment manually.

------------------------------------------------------------------------
r2293 | const_k | 2007-05-01 00:27:40 +0700 (Tue, 01 May 2007) | 2 lines
Changed paths:
   A /orig/trunk/vnc_unixsrc/classes/InStream.class
   A /orig/trunk/vnc_unixsrc/classes/MemInStream.class
   M /orig/trunk/vnc_unixsrc/classes/OptionsFrame.class
   M /orig/trunk/vnc_unixsrc/classes/RfbProto.class
   M /orig/trunk/vnc_unixsrc/classes/VncCanvas.class
   M /orig/trunk/vnc_unixsrc/classes/VncCanvas2.class
   M /orig/trunk/vnc_unixsrc/classes/VncViewer.class
   M /orig/trunk/vnc_unixsrc/classes/VncViewer.jar
   A /orig/trunk/vnc_unixsrc/classes/ZlibInStream.class

Xvnc's built-in Java viewer updated to its current version.

------------------------------------------------------------------------
r2275 | const_k | 2007-04-27 12:12:54 +0700 (Fri, 27 Apr 2007) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/init.c

Version-specific information updated, version 1.3.9.

------------------------------------------------------------------------
r2267 | const_k | 2007-04-26 17:57:06 +0700 (Thu, 26 Apr 2007) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/README
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnc.def
   M /orig/trunk/vnc_unixsrc/tightvnc.spec
   M /orig/trunk/vnc_unixsrc/vncserver
   M /orig/trunk/vnc_unixsrc/vncviewer/README
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c

Version-specific information updated, version 1.3.9.

------------------------------------------------------------------------
r2219 | const_k | 2006-12-23 18:07:55 +0600 (Sat, 23 Dec 2006) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/Imake.cf
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/linux.cf
   M /orig/trunk/vnc_unixsrc/Xvnc/include/Xmd.h
   M /orig/trunk/vnc_unixsrc/Xvnc/lib/font/bitmap/bdfread.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/dixutils.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/httpd.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/init.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfb.h
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/sockets.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/dix.h
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/servermd.h

Applied patches from Debian Linux that port Xvnc to x86_64 platform (tightvnc-1.2.9-amd64support.p and tightvnc-1.3_alpha7-x86_64.patch), thanks to Quanah Gibson-Mount.

------------------------------------------------------------------------
r2195 | const_k | 2006-12-08 13:33:51 +0600 (Fri, 08 Dec 2006) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/classes/RfbProto.class
   M /orig/trunk/vnc_unixsrc/classes/VncViewer.class
   M /orig/trunk/vnc_unixsrc/classes/VncViewer.jar

Updated the Java viewer.

------------------------------------------------------------------------
r2194 | const_k | 2006-12-08 13:20:03 +0600 (Fri, 08 Dec 2006) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c

Always expect the "security result" message in the protocol version 3.8, even after an empty list of authentication capabilities.

------------------------------------------------------------------------
r2193 | const_k | 2006-12-08 12:52:17 +0600 (Fri, 08 Dec 2006) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/auth.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfb.h

Always send the "security result" message in the protocol version 3.8, even after an empty list of authentication capabilities.

------------------------------------------------------------------------
r2188 | const_k | 2006-12-05 19:05:32 +0600 (Tue, 05 Dec 2006) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c
   M /orig/trunk/vnc_unixsrc/vncviewer/tunnel.c

Interpreting the number in host names like somehost:5900 as actual port number if it is 100 or higher.

------------------------------------------------------------------------
r2187 | const_k | 2006-12-05 17:12:42 +0600 (Tue, 05 Dec 2006) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/listen.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.h

Removed "flasher" - a feature of the listening viewer which flashed the screen on connections to port 5400. I think it was not ever used by anybody.

------------------------------------------------------------------------
r2174 | const_k | 2006-12-04 17:35:01 +0600 (Mon, 04 Dec 2006) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c

Proper support for rfbAuthNone authentication type specified in TightVNC-specific capability lists.

------------------------------------------------------------------------
r2144 | const_k | 2006-11-28 21:07:57 +0600 (Tue, 28 Nov 2006) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c

Support for RFB protocol version 3.8 in Unix viewer.

------------------------------------------------------------------------
r2143 | const_k | 2006-11-28 18:54:43 +0600 (Tue, 28 Nov 2006) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c

Removed support for non-standard UnixLogin authentication.

------------------------------------------------------------------------
r2142 | const_k | 2006-11-28 18:48:55 +0600 (Tue, 28 Nov 2006) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c

Fixed compilation errors caused by recent changes in include/rfbproto.h.

------------------------------------------------------------------------
r2141 | const_k | 2006-11-28 18:34:52 +0600 (Tue, 28 Nov 2006) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/Imakefile
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/auth.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/init.c
   D /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/loginauth.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfb.h

Removed support for non-standard UnixLogin authentication.

------------------------------------------------------------------------
r2140 | const_k | 2006-11-28 18:22:07 +0600 (Tue, 28 Nov 2006) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/auth.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/init.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/loginauth.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfb.h
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfbserver.c
   M /orig/trunk/vnc_unixsrc/include/rfbproto.h

Support for RFB protocol version 3.8.

------------------------------------------------------------------------
r2139 | const_k | 2006-11-27 11:00:47 +0600 (Mon, 27 Nov 2006) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/classes/AuthPanel.class
   D /orig/trunk/vnc_unixsrc/classes/AuthUnixLoginPanel.class
   M /orig/trunk/vnc_unixsrc/classes/OptionsFrame.class
   M /orig/trunk/vnc_unixsrc/classes/RfbProto.class
   M /orig/trunk/vnc_unixsrc/classes/VncCanvas.class
   A /orig/trunk/vnc_unixsrc/classes/VncCanvas2.class
   M /orig/trunk/vnc_unixsrc/classes/VncViewer.class
   M /orig/trunk/vnc_unixsrc/classes/VncViewer.jar

Java viewer classes updated to current version.

------------------------------------------------------------------------
r2107 | const_k | 2006-10-05 11:41:57 +0700 (Thu, 05 Oct 2006) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xext/shm.c

Applied a patch from Neil Campbell to fix the bug #1544958 (SProcShmCreatePixmap() fails to byte-swap 'pid').

------------------------------------------------------------------------
r2086 | const_k | 2006-08-15 14:05:07 +0700 (Tue, 15 Aug 2006) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/init.c

Year changed in copyright statement.

------------------------------------------------------------------------
r2085 | const_k | 2006-08-15 13:10:26 +0700 (Tue, 15 Aug 2006) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xvnc.man
   M /orig/trunk/vnc_unixsrc/vncconnect/vncconnect.man
   M /orig/trunk/vnc_unixsrc/vncpasswd/vncpasswd.man
   M /orig/trunk/vnc_unixsrc/vncserver.man
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.man

Updated e-mails and dates in man pages, typos fixed.

------------------------------------------------------------------------
r2082 | const_k | 2006-08-11 09:09:20 +0700 (Fri, 11 Aug 2006) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/tightvnc.spec

Updated for version 1.3.8.

------------------------------------------------------------------------
r2081 | const_k | 2006-08-10 18:01:07 +0700 (Thu, 10 Aug 2006) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/README
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnc.def
   M /orig/trunk/vnc_unixsrc/vncserver
   M /orig/trunk/vnc_unixsrc/vncviewer/README
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c

Version strings changed, version 1.3.8.

------------------------------------------------------------------------
r2080 | const_k | 2006-08-10 17:59:09 +0700 (Thu, 10 Aug 2006) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/README
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnc.def
   M /orig/trunk/vnc_unixsrc/vncserver
   M /orig/trunk/vnc_unixsrc/vncviewer/README
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c

Preparing for stable version numbering - replaced 1.3dev7 with 1.3.7,
fixed text for automated version/copyright updating, etc.

------------------------------------------------------------------------
r2066 | const_k | 2006-07-21 09:51:50 +0700 (Fri, 21 Jul 2006) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/listen.c

Port numbers are calculated modulo 65536 with vncviewer's -listen option.
That makes it possible to listen on port 443 with the command
"vncviewer -listen 60479" (because 443 + 65536 - 5500 = 60479).

------------------------------------------------------------------------
r2065 | const_k | 2006-06-15 20:57:19 +0700 (Thu, 15 Jun 2006) | 2 lines
Changed paths:
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/AuthPanel.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/OptionsFrame.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/RfbProto.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/VncCanvas.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/VncViewer.class
   M /orig/branches/BRANCH_1_3_STABLE/vnc_winsrc/winvnc/res/VncViewer.jar
   M /orig/trunk/vnc_unixsrc/classes/AuthPanel.class
   M /orig/trunk/vnc_unixsrc/classes/OptionsFrame.class
   M /orig/trunk/vnc_unixsrc/classes/RfbProto.class
   M /orig/trunk/vnc_unixsrc/classes/VncCanvas.class
   M /orig/trunk/vnc_unixsrc/classes/VncViewer.class
   M /orig/trunk/vnc_unixsrc/classes/VncViewer.jar

Built-in Java viewer updated to the latest version.

------------------------------------------------------------------------
r2022 | const_k | 2005-07-05 00:40:22 +0700 (Tue, 05 Jul 2005) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/README
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnc.def
   M /orig/trunk/vnc_unixsrc/vncserver
   M /orig/trunk/vnc_unixsrc/vncviewer/README
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c

Version strings changed, version 1.3dev7.

------------------------------------------------------------------------
r2021 | const_k | 2005-07-04 22:24:19 +0700 (Mon, 04 Jul 2005) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/tightvnc.spec

Removed vnc-server's dependence on XFree86, changed maintainer's
e-mail address, version updated to 1.3dev7.

------------------------------------------------------------------------
r2015 | const_k | 2005-07-03 13:58:21 +0700 (Sun, 03 Jul 2005) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/classes/OptionsFrame.class
   M /orig/trunk/vnc_unixsrc/classes/VncCanvas.class
   M /orig/trunk/vnc_unixsrc/classes/VncViewer.jar

Updated built-in Java viewer to its latest version.

------------------------------------------------------------------------
r2008 | const_k | 2005-04-19 19:52:36 +0700 (Tue, 19 Apr 2005) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfbserver.c

Fixed a problem with Bell messages sent to non-authenticated clients,
bug #1185800.

------------------------------------------------------------------------
r2007 | astrand | 2005-04-14 19:58:51 +0700 (Thu, 14 Apr 2005) | 12 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/configure
   M /orig/trunk/vnc_unixsrc/Xvnc/lib/Xau/AuRead.c
   M /orig/trunk/vnc_unixsrc/Xvnc/lib/Xau/AuWrite.c

Make Xvnc build on modern distributions, such as Fedora Core 3:

- The configure script adds "LinuxCLibMajorVersion 6" to
platform.cf. This makes the build system define _XOPEN_SOURCE, which
causes __USE_XOPEN to be defined. This, in turn, makes fds_bits
available. (As far as I know, imake should find out and define
LinuxCLibMajorVersion, but for some reason, this doesn't work.)

- lib/Xau/AuRead.c and lib/Xau/AuWrite.c has been updated to the
latest X.Org versions. There are only small fixes: Not defining a
prototype for malloc, for example.

------------------------------------------------------------------------
r1997 | const_k | 2005-02-09 20:16:39 +0600 (Wed, 09 Feb 2005) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfbserver.c

Disallowing clipboard transfers for view-only clients.

------------------------------------------------------------------------
r1990 | const_k | 2005-02-03 00:25:07 +0600 (Thu, 03 Feb 2005) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/sprite.c

Fixed a serious bug with sending cursor updates when there was no
FrameBufferUpdateRequest from that client.

------------------------------------------------------------------------
r1743 | const_k | 2004-05-30 22:09:54 +0700 (Sun, 30 May 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/README
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnc.def
   M /orig/trunk/vnc_unixsrc/tightvnc.spec
   M /orig/trunk/vnc_unixsrc/vncserver
   M /orig/trunk/vnc_unixsrc/vncviewer/README
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c

Version strings changed, version 1.3dev5.

------------------------------------------------------------------------
r1741 | const_k | 2004-05-29 00:29:29 +0700 (Sat, 29 May 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/desktop.c

Reverted the change that caused vncviewer to crash on switching
between virtual desktops in KDE 3.1.4, bug #852195.

------------------------------------------------------------------------
r1740 | const_k | 2004-05-27 14:47:56 +0700 (Thu, 27 May 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/sprite.c

Fixed a problem with sending cursor shape updates only together with
other changes on the screen, in Xvnc, bug #726935.

------------------------------------------------------------------------
r1738 | const_k | 2004-05-27 14:02:02 +0700 (Thu, 27 May 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/include/rfbproto.h

Copied the latest version of rfbproto.h from the Win32 version.

------------------------------------------------------------------------
r1730 | const_k | 2004-05-18 17:26:19 +0700 (Tue, 18 May 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfbserver.c

Fixed a problem with cuttext copied to non-authenticated clients, bug
#855500.

------------------------------------------------------------------------
r1667 | const_k | 2004-03-12 00:14:40 +0600 (Fri, 12 Mar 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.h
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.man

Added support for new vncviewer -autopass option. This is an
improvement from Ki NETWORKS, Inc.

------------------------------------------------------------------------
r1645 | const_k | 2004-03-04 21:26:41 +0600 (Thu, 04 Mar 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/README
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnc.def
   M /orig/trunk/vnc_unixsrc/tightvnc.spec
   M /orig/trunk/vnc_unixsrc/vncserver
   M /orig/trunk/vnc_unixsrc/vncviewer/README
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c

Version strings changed, version 1.3dev4.

------------------------------------------------------------------------
r1643 | const_k | 2004-03-04 20:26:45 +0600 (Thu, 04 Mar 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/classes/AuthPanel.class
   A /orig/trunk/vnc_unixsrc/classes/AuthUnixLoginPanel.class
   A /orig/trunk/vnc_unixsrc/classes/CapabilityInfo.class
   A /orig/trunk/vnc_unixsrc/classes/CapsContainer.class
   M /orig/trunk/vnc_unixsrc/classes/RfbProto.class
   M /orig/trunk/vnc_unixsrc/classes/VncCanvas.class
   M /orig/trunk/vnc_unixsrc/classes/VncViewer.class
   M /orig/trunk/vnc_unixsrc/classes/VncViewer.jar

The Java viewer bytecode upgraded to the latest version.

------------------------------------------------------------------------
r1636 | const_k | 2004-03-03 15:11:52 +0600 (Wed, 03 Mar 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/selection.c

Fixed bug #904471: the viewer crashed on selecting text in Xvnc and
choosing F8 / Clipboard: local -> remote, twice.

------------------------------------------------------------------------
r1634 | const_k | 2004-03-02 22:23:37 +0600 (Tue, 02 Mar 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c

Removed debugging output.

------------------------------------------------------------------------
r1633 | const_k | 2004-03-02 22:00:27 +0600 (Tue, 02 Mar 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c

Minor changes in comments.

------------------------------------------------------------------------
r1627 | const_k | 2004-02-27 19:22:55 +0600 (Fri, 27 Feb 2004) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/README
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnc.def
   M /orig/trunk/vnc_unixsrc/tightvnc.spec
   M /orig/trunk/vnc_unixsrc/vncserver
   M /orig/trunk/vnc_unixsrc/vncviewer/README
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c

Version strings changed, version 1.3dev3.

------------------------------------------------------------------------
r1626 | const_k | 2004-02-27 18:22:47 +0600 (Fri, 27 Feb 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/auth.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/init.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/loginauth.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfb.h
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfbserver.c

In Xvnc, added support for protocol 3.7 with TightVNC extensions,
dropped support for protocol 3.130.

------------------------------------------------------------------------
r1623 | const_k | 2004-02-26 21:53:05 +0600 (Thu, 26 Feb 2004) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/include/rfbproto.h

Added signature for "no authentication" capability, together with
minor code formatting changes.

------------------------------------------------------------------------
r1612 | const_k | 2004-01-13 20:22:05 +0600 (Tue, 13 Jan 2004) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/include/rfbproto.h
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.h

Added support for protocol 3.7 with TightVNC extensions, dropped
support for protocol 3.130. The changes affect only the viewer at the
moment -- Xvnc compilation is temporarily broken.

------------------------------------------------------------------------
r1569 | const_k | 2003-10-09 16:23:49 +0700 (Thu, 09 Oct 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/fullscreen.c

Applied a fix for the fullscreen mode, from Peter Astrand -- "Some WMs
do not obey x, y values of XReparentWindow; the window was not placed
in the upper left corner".

------------------------------------------------------------------------
r1535 | const_k | 2003-07-31 15:03:49 +0700 (Thu, 31 Jul 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/tunnel.c

Fixed a problem with incorrect port interpretation when the -tunnel
option is used.

------------------------------------------------------------------------
r1533 | const_k | 2003-07-31 14:36:46 +0700 (Thu, 31 Jul 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbtile32.c

Applied a patch from the RealVNC distribution, to fix Xvnc crashes
under Sparc, in 16-bit and 32-bit pixel formats.

------------------------------------------------------------------------
r1531 | const_k | 2003-07-31 11:57:56 +0700 (Thu, 31 Jul 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/desktop.c

Applied a patch from Greg Breland, to fix the input focus problem.

------------------------------------------------------------------------
r1441 | const_k | 2003-05-03 16:31:55 +0700 (Sat, 03 May 2003) | 7 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnclibs.def
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/Imakefile
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/auth.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/init.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/loginauth.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfb.h
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfbserver.c
   M /orig/trunk/vnc_unixsrc/include/rfbproto.h
   M /orig/trunk/vnc_unixsrc/vncserver
   M /orig/trunk/vnc_unixsrc/vncviewer/README
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.h
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.man

New authentication method has been implemented. This is a login-style
authentication which uses Unix system password files. User names and
passwords are sent in clear text, and the server should run as root or
suid-root on most systems to access encrypted passwords. To activate
new authentication, Xvnc -loginauth option can be used. This
authentication method was developed for Ki NETWORKS, Inc.

------------------------------------------------------------------------
r1434 | const_k | 2003-04-22 13:26:23 +0700 (Tue, 22 Apr 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/README
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnc.def
   M /orig/trunk/vnc_unixsrc/tightvnc.spec
   M /orig/trunk/vnc_unixsrc/vncserver
   M /orig/trunk/vnc_unixsrc/vncviewer/README
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c

Version strings changed, version 1.3dev1.

------------------------------------------------------------------------
r1424 | const_k | 2003-04-09 05:18:33 +0700 (Wed, 09 Apr 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/httpd.c

Minor code cleanup.

------------------------------------------------------------------------
r1423 | const_k | 2003-04-08 20:54:57 +0700 (Tue, 08 Apr 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/auth.c

Minor corrections in comments.

------------------------------------------------------------------------
r1422 | const_k | 2003-04-02 00:30:29 +0700 (Wed, 02 Apr 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/auth.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfb.h
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfbserver.c
   M /orig/trunk/vnc_unixsrc/include/rfbproto.h
   M /orig/trunk/vnc_unixsrc/vncviewer/caps.c
   M /orig/trunk/vnc_unixsrc/vncviewer/caps.h
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c

Major changes in the protocol 3.130, reorganizations in the
authentication code, and in other places as well.

------------------------------------------------------------------------
r1396 | const_k | 2003-03-22 19:33:30 +0600 (Sat, 22 Mar 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnc.def

Fixed a problem with XvncRelease string containing a space.

------------------------------------------------------------------------
r1394 | const_k | 2003-03-12 23:47:11 +0600 (Wed, 12 Mar 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/include/rfbproto.h

Minor formatting change in a comment.

------------------------------------------------------------------------
r1391 | const_k | 2003-03-12 22:20:34 +0600 (Wed, 12 Mar 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnc.def
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/init.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfb.h
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfbserver.c
   M /orig/trunk/vnc_unixsrc/include/rfbproto.h
   M /orig/trunk/vnc_unixsrc/vncviewer/Imakefile
   A /orig/trunk/vnc_unixsrc/vncviewer/caps.c
   A /orig/trunk/vnc_unixsrc/vncviewer/caps.h
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.h

Implemented C version of the CapsContainer class from the Win32
version. Added full support for protocol version 3.130. Improved the
output of the vncviewer, and a startup log messages of Xvnc.

------------------------------------------------------------------------
r1376 | const_k | 2003-03-01 22:59:05 +0600 (Sat, 01 Mar 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncpasswd/vncpasswd.c

Fixed a buffer overflow caused by long file names in the vncpasswd
command line.

------------------------------------------------------------------------
r1375 | const_k | 2003-03-01 22:48:13 +0600 (Sat, 01 Mar 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/libvncauth/vncauth.c
   M /orig/trunk/vnc_unixsrc/vncpasswd/vncpasswd.c
   M /orig/trunk/vnc_unixsrc/vncpasswd/vncpasswd.man

Implemented new vncpasswd -f command-line option which allows to
provide passwords on stdin and write encrypted passwords to stdout.
Also, the password file name "-" now denotes stdout.

------------------------------------------------------------------------
r1355 | const_k | 2003-02-19 22:39:54 +0600 (Wed, 19 Feb 2003) | 3 lines
Changed paths:
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/darwin.cf
   M /orig/trunk/vnc_unixsrc/Xvnc/config/imake/imakemdep.h
   M /orig/trunk/vnc_unixsrc/Xvnc/configure
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/servermd.h
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/miarc.c

A set of changes to Xvnc to get it to build and run on Mac OS X 10.2;
a patch from Ki Networks, Inc.

------------------------------------------------------------------------
r1345 | const_k | 2003-02-07 16:30:57 +0600 (Fri, 07 Feb 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/README
   M /orig/trunk/vnc_unixsrc/vncviewer/Vncviewer
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c
   M /orig/trunk/vnc_unixsrc/vncviewer/desktop.c

Implemented a new SendRFBEvent(fbupdate) action, and a corresponding
"Request refresh" button in the popup menu.

------------------------------------------------------------------------
r1340 | const_k | 2003-02-07 00:11:28 +0600 (Fri, 07 Feb 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/Imake.cf

Compilation fixes for HP-UX, from Ki Networks, Inc.

------------------------------------------------------------------------
r1333 | const_k | 2003-02-05 20:56:35 +0600 (Wed, 05 Feb 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncconnect/vncconnect.man

Minor correction in the AUTHORS heading, and updated copyright
strings.

------------------------------------------------------------------------
r1326 | const_k | 2003-01-29 22:03:47 +0600 (Wed, 29 Jan 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/README
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnc.def
   M /orig/trunk/vnc_unixsrc/tightvnc.spec
   M /orig/trunk/vnc_unixsrc/vncserver
   M /orig/trunk/vnc_unixsrc/vncviewer/README
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c

Version strings changed, version 1.2.8. Also, a small change was made
in the .spec file, to remove viewer's dependences on /sbin/service and
/sbin/chkconfig.

------------------------------------------------------------------------
r1325 | const_k | 2003-01-29 19:55:02 +0600 (Wed, 29 Jan 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/Imake.cf

Applied tightvnc-1.2.6-platform-fixes-imake-cf.patch from Debian
Linux. This should solve build problems under some particular
architectures.

------------------------------------------------------------------------
r1324 | const_k | 2003-01-29 19:52:37 +0600 (Wed, 29 Jan 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/xfree86.cf
   M /orig/trunk/vnc_unixsrc/Xvnc/config/imake/imakemdep.h
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/rpcauth.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/xalloc.c

Applied tightvnc-1.2.6-platform-fixes.patch from Debian Linux. This
should solve build problems under some particular architectures.

------------------------------------------------------------------------
r1323 | const_k | 2003-01-29 19:50:41 +0600 (Wed, 29 Jan 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/site.def
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/Wraphelp.c

Applied vnc-3.3.3-10-xdm-auth-support.patch from Debian Linux.

------------------------------------------------------------------------
r1322 | const_k | 2003-01-29 18:36:10 +0600 (Wed, 29 Jan 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c

Making sure that if there is no tty an X window will be displayed even
if hostname is supplied; a patch from Debian Linux, authored by
William Thompson.

------------------------------------------------------------------------
r1321 | const_k | 2003-01-29 18:35:13 +0600 (Wed, 29 Jan 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/config/makedepend/def.h
   M /orig/trunk/vnc_unixsrc/Xvnc/config/makedepend/main.c
   M /orig/trunk/vnc_unixsrc/Xvnc/config/makedepend/parse.c

Applied a fix for a getline incompatibility; a patch from the Debian
Bug Tracking System for the bug #114343, authored by LaMont Jones.

------------------------------------------------------------------------
r1320 | const_k | 2003-01-29 18:34:22 +0600 (Wed, 29 Jan 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/lib/xtrans/Xtranslcl.c
   M /orig/trunk/vnc_unixsrc/Xvnc/lib/xtrans/Xtranssock.c

If the directory /tmp/X11-unix did not exist, Xvnc created it without
+t permissions; a patch from the Debian Bug Tracking System for the
bug #128096, authored by Oryn.

------------------------------------------------------------------------
r1319 | const_k | 2003-01-29 18:33:19 +0600 (Wed, 29 Jan 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/connection.c

Uncommented the code to enable sending SIGUSR1 to (gdm/xdm/kdm) when
Xvnc is ready to accept connections; a patch from the Debian Bug
Tracking System for the bug #122561 authored by Nick Phillips.

------------------------------------------------------------------------
r1318 | const_k | 2003-01-29 18:32:24 +0600 (Wed, 29 Jan 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/httpd.c

The "\n\n" sequences in NOT_FOUND_STR and OK_STR have been changed to
"\r\n\r\n"; a patch from the Debian Bug Tracking System for the bug
#174688 reported by C. Scott Ananian.

------------------------------------------------------------------------
r1302 | const_k | 2003-01-17 20:14:46 +0600 (Fri, 17 Jan 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncpasswd/vncpasswd.c
   M /orig/trunk/vnc_unixsrc/vncpasswd/vncpasswd.man

Support for saving two passwords, full-control and view-only.

------------------------------------------------------------------------
r1301 | const_k | 2003-01-17 20:12:42 +0600 (Fri, 17 Jan 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/libvncauth/vncauth.c

(vncEncryptAndStorePasswd2): Fixed incorrect return codes.

------------------------------------------------------------------------
r1298 | const_k | 2003-01-15 16:44:05 +0600 (Wed, 15 Jan 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/auth.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfb.h
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfbserver.c

Support for two passwords, for full-control and view-only client
authentication.

------------------------------------------------------------------------
r1297 | const_k | 2003-01-15 15:46:52 +0600 (Wed, 15 Jan 2003) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c
   M /orig/trunk/vnc_unixsrc/vncviewer/cursor.c
   M /orig/trunk/vnc_unixsrc/vncviewer/desktop.c
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.h
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.man

New -x11cursor option, a patch from Peter Astrand.

------------------------------------------------------------------------
r1296 | const_k | 2003-01-15 13:58:32 +0600 (Wed, 15 Jan 2003) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/README
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c
   M /orig/trunk/vnc_unixsrc/vncviewer/misc.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.h

Applied a patch from Peter Astrand: "This patch adds a new command to
the X11 vncviewer popup menu: RunCommand. It can be used to run
arbitrary commands or applications from the popup."

------------------------------------------------------------------------
r1295 | const_k | 2003-01-15 12:23:49 +0600 (Wed, 15 Jan 2003) | 6 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/libvncauth/vncauth.c

Two new functions vncEncryptAndStorePasswd2 and
vncDecryptPasswdFromFile2 were added in addition to
vncEncryptAndStorePasswd and vncDecryptPasswdFromFile functions. New
ones can handle two passwords in a file, for full-control and
read-only access.

------------------------------------------------------------------------
r1294 | const_k | 2003-01-14 04:25:11 +0600 (Tue, 14 Jan 2003) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fc/fserve.c

Fixed a problem with Xvnc eating all CPU time after xfs restarts,
a patch from Martin Koegler.

------------------------------------------------------------------------
r1239 | const_k | 2002-11-14 22:57:10 +0600 (Thu, 14 Nov 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncserver

Minor change in the vncserver -help output.

------------------------------------------------------------------------
r1238 | const_k | 2002-11-14 22:56:20 +0600 (Thu, 14 Nov 2002) | 3 lines
Changed paths:
   A /orig/trunk/vnc_unixsrc/tightvnc.spec
   D /orig/trunk/vnc_unixsrc/vnc.spec

Spec file vnc.spec renamed to tightvnc.spec, and updated for the
version 1.2.7.

------------------------------------------------------------------------
r1237 | const_k | 2002-11-14 00:03:50 +0600 (Thu, 14 Nov 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/README
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnc.def
   M /orig/trunk/vnc_unixsrc/vncserver
   M /orig/trunk/vnc_unixsrc/vncviewer/README
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c

Version strings changed, version 1.2.7.

------------------------------------------------------------------------
r1234 | const_k | 2002-11-13 19:51:27 +0600 (Wed, 13 Nov 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/classes/OptionsFrame.class
   M /orig/trunk/vnc_unixsrc/classes/RecordingFrame.class
   A /orig/trunk/vnc_unixsrc/classes/ReloginPanel.class
   M /orig/trunk/vnc_unixsrc/classes/RfbProto.class
   A /orig/trunk/vnc_unixsrc/classes/SocketFactory.class
   M /orig/trunk/vnc_unixsrc/classes/VncCanvas.class
   M /orig/trunk/vnc_unixsrc/classes/VncViewer.class
   M /orig/trunk/vnc_unixsrc/classes/VncViewer.jar
   D /orig/trunk/vnc_unixsrc/classes/hextile.vnc
   M /orig/trunk/vnc_unixsrc/classes/index.vnc
   D /orig/trunk/vnc_unixsrc/classes/noshared.vnc
   D /orig/trunk/vnc_unixsrc/classes/shared.vnc
   D /orig/trunk/vnc_unixsrc/classes/tight.vnc
   D /orig/trunk/vnc_unixsrc/classes/zlib.vnc

Java viewer updated to the most recent version.

------------------------------------------------------------------------
r1222 | const_k | 2002-11-04 13:41:35 +0600 (Mon, 04 Nov 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncserver

Minor change in the usage help message.

------------------------------------------------------------------------
r1220 | const_k | 2002-11-04 02:55:34 +0600 (Mon, 04 Nov 2002) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c
   M /orig/trunk/vnc_unixsrc/vncviewer/tunnel.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.man

Added support for the format "host::port" in the command line, in
addition to the standard "host:display" format.

------------------------------------------------------------------------
r1219 | const_k | 2002-11-03 16:38:38 +0600 (Sun, 03 Nov 2002) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.man

Documented new -nojpeg option and enableJPEG resource. Updated to
reflect recent changes in handling of the JPEG compression in the
Tight encoding by default.

------------------------------------------------------------------------
r1218 | const_k | 2002-11-03 16:08:16 +0600 (Sun, 03 Nov 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/README
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.h

Enabling JPEG compression in the Tight encoding by default.

------------------------------------------------------------------------
r1217 | const_k | 2002-10-30 21:37:57 +0600 (Wed, 30 Oct 2002) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.man

The BUGS section of the manual page has been removed to reflect the
latest improvements in local cursor handling.

------------------------------------------------------------------------
r1215 | const_k | 2002-10-30 17:28:50 +0600 (Wed, 30 Oct 2002) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/cursor.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfb.h
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfbserver.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/sprite.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/sprite.h
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/stats.c

Added support for new CursorPos pseudo-encoding which allows to
transmit pointer position from server to clients.

------------------------------------------------------------------------
r1211 | const_k | 2002-10-29 20:18:24 +0600 (Tue, 29 Oct 2002) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/include/rfbproto.h
   M /orig/trunk/vnc_unixsrc/vncviewer/cursor.c
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c

Added support for new CursorPos pseudo-encoding which allows to
transmit pointer position from server to clients.

------------------------------------------------------------------------
r1207 | const_k | 2002-10-27 18:36:02 +0600 (Sun, 27 Oct 2002) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/init.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/sockets.c

Bugfix for Xvnc's -localhost and -interface options that were broken
on some systems e.g. on NetBSD, a patch from Luke Mewburn.

------------------------------------------------------------------------
r1204 | const_k | 2002-10-27 12:40:28 +0600 (Sun, 27 Oct 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/init.c

Xvnc -version option has been implemented.

------------------------------------------------------------------------
r1202 | const_k | 2002-10-16 19:22:50 +0700 (Wed, 16 Oct 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.man

Minor correction.

------------------------------------------------------------------------
r1200 | const_k | 2002-10-15 22:02:21 +0700 (Tue, 15 Oct 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/include/rfbproto.h

Documented the Tight encoding.

------------------------------------------------------------------------
r1186 | const_k | 2002-09-10 15:17:19 +0700 (Tue, 10 Sep 2002) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

Decreased JPEG quality factors for low quality levels.
Added one comment to document the CheckSolidTile() function.

------------------------------------------------------------------------
r1184 | const_k | 2002-09-06 18:16:30 +0700 (Fri, 06 Sep 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/utils.c

A porting fix from Ki Networks, to build correctly under AIX 4 or 5.

------------------------------------------------------------------------
r1183 | const_k | 2002-09-06 18:15:02 +0700 (Fri, 06 Sep 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/include/rfbproto.h

Documented the first byte of a Tight-encoded rectangle. :-)

------------------------------------------------------------------------
r1177 | const_k | 2002-08-30 21:56:02 +0700 (Fri, 30 Aug 2002) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/fullscreen.c

Improved scrolling in the full-screen mode, modified patch from Ville
Herva.

------------------------------------------------------------------------
r1173 | const_k | 2002-08-30 16:16:52 +0700 (Fri, 30 Aug 2002) | 3 lines
Changed paths:
   A /orig/trunk/vnc_unixsrc/vnc-xclients.patch
   A /orig/trunk/vnc_unixsrc/vnc.spec
   A /orig/trunk/vnc_unixsrc/vncserver.init

Added files to simplify building of Linux RPMs, thanks to Peter
Astrand.

------------------------------------------------------------------------
r1172 | const_k | 2002-08-29 13:31:25 +0700 (Thu, 29 Aug 2002) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/libvncauth/vncauth.c

Fixed a repeated challenge replay attack vulnerability, bugtraq id
5296.

------------------------------------------------------------------------
r1170 | const_k | 2002-08-27 19:19:38 +0700 (Tue, 27 Aug 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/README
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnc.def
   M /orig/trunk/vnc_unixsrc/vncserver
   M /orig/trunk/vnc_unixsrc/vncviewer/README
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c

Version strings changed, version 1.2.6.

------------------------------------------------------------------------
r1169 | const_k | 2002-08-27 19:10:50 +0700 (Tue, 27 Aug 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncserver

Cosmetic changes not affecting functionality.

------------------------------------------------------------------------
r1168 | const_k | 2002-08-27 18:47:39 +0700 (Tue, 27 Aug 2002) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncserver

Fixed the bug preventing the vncserver script from working properly
when the XAUTHORITY environment variable is not set.

------------------------------------------------------------------------
r1167 | const_k | 2002-08-27 18:36:53 +0700 (Tue, 27 Aug 2002) | 5 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/libvncauth/vncauth.c

Reverted the change from chmod() to fchmod() introduced in the
previous release. That change introduced a bug not allowing fchmod()
work correctly. Now we're using chmod() again because it's more
portable.

------------------------------------------------------------------------
r1162 | const | 2002-08-08 13:23:25 +0700 (Thu, 08 Aug 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/README
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnc.def
   M /orig/trunk/vnc_unixsrc/vncserver
   M /orig/trunk/vnc_unixsrc/vncviewer/README
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c

Version strings changed, version 1.2.5.

------------------------------------------------------------------------
r1161 | const | 2002-08-08 13:15:41 +0700 (Thu, 08 Aug 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncpasswd/vncpasswd.c

Improved error message on mkdir() failure.

------------------------------------------------------------------------
r1160 | const | 2002-08-08 13:13:29 +0700 (Thu, 08 Aug 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncserver

Improved support of users' vnc directories under /tmp.

------------------------------------------------------------------------
r1159 | const | 2002-08-08 05:17:27 +0700 (Thu, 08 Aug 2002) | 5 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncserver

Added possibility to keep users' vnc directories under /tmp, as
suggested by Ivan Popov. This mode can be enabled by setting the
$vncUserDirUnderTmp to non-zero in the vncserver script. Note that
"vncpasswd -t" should be used to change passwords kept under /tmp.

------------------------------------------------------------------------
r1158 | const | 2002-08-08 04:38:44 +0700 (Thu, 08 Aug 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncpasswd/vncpasswd.c
   M /orig/trunk/vnc_unixsrc/vncpasswd/vncpasswd.man

New vncpasswd -t option allowing to write password files under /tmp.

------------------------------------------------------------------------
r1157 | const | 2002-08-07 22:04:45 +0700 (Wed, 07 Aug 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncpasswd/vncpasswd.c

Minor cleanup.

------------------------------------------------------------------------
r1156 | const | 2002-08-07 21:45:41 +0700 (Wed, 07 Aug 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncconnect/vncconnect.man
   M /orig/trunk/vnc_unixsrc/vncpasswd/vncpasswd.man
   M /orig/trunk/vnc_unixsrc/vncserver.man
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.man

Dates updated.

------------------------------------------------------------------------
r1155 | const | 2002-08-07 21:42:54 +0700 (Wed, 07 Aug 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xvnc.man

Documented the -viewonly command-line  option.

------------------------------------------------------------------------
r1154 | const | 2002-08-07 21:38:09 +0700 (Wed, 07 Aug 2002) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/httpd.c
   M /orig/trunk/vnc_unixsrc/classes/hextile.vnc
   M /orig/trunk/vnc_unixsrc/classes/index.vnc
   M /orig/trunk/vnc_unixsrc/classes/tight.vnc
   M /orig/trunk/vnc_unixsrc/classes/zlib.vnc

Implemented a possibility to specify applet parameters in the URL
request for the HTTP server.

------------------------------------------------------------------------
r1153 | const | 2002-08-07 19:25:01 +0700 (Wed, 07 Aug 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/init.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfb.h
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfbserver.c

Xvnc -viewonly patch from Ehud Karni.

------------------------------------------------------------------------
r1152 | const | 2002-08-07 18:42:53 +0700 (Wed, 07 Aug 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/servermd.h

Linux/PowerPC fix from Peter A. Castro.

------------------------------------------------------------------------
r1151 | const | 2002-08-07 18:39:09 +0700 (Wed, 07 Aug 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/libvncauth/vncauth.c

chmod() call replaced by fchmod().

------------------------------------------------------------------------
r1142 | const | 2002-08-04 23:44:34 +0700 (Sun, 04 Aug 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/classes/ButtonPanel.class
   M /orig/trunk/vnc_unixsrc/classes/OptionsFrame.class
   A /orig/trunk/vnc_unixsrc/classes/RecordingFrame.class
   M /orig/trunk/vnc_unixsrc/classes/RfbProto.class
   A /orig/trunk/vnc_unixsrc/classes/SessionRecorder.class
   M /orig/trunk/vnc_unixsrc/classes/VncCanvas.class
   M /orig/trunk/vnc_unixsrc/classes/VncViewer.class
   M /orig/trunk/vnc_unixsrc/classes/VncViewer.jar

Java viewer updated to the most recent version.

------------------------------------------------------------------------
r1128 | const | 2002-07-05 13:42:54 +0700 (Fri, 05 Jul 2002) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfbserver.c

The server failed to reset compression level and JPEG image quality on
reading client's encoding list.

------------------------------------------------------------------------
r1117 | const | 2002-06-30 10:20:41 +0700 (Sun, 30 Jun 2002) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/cursor.c
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.h

Handle XCursor encoding operating on the framebuffer instead of
setting new cursors directly in X.

------------------------------------------------------------------------
r1116 | const | 2002-06-28 12:53:19 +0700 (Fri, 28 Jun 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnclibs.def
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/osinit.c
   M /orig/trunk/vnc_unixsrc/vncviewer/Imakefile

Porting fixes from Ki Networks, Inc.

------------------------------------------------------------------------
r1115 | const | 2002-06-28 12:52:22 +0700 (Fri, 28 Jun 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/init.c

Minor changes to write information about TightVNC into the log file.

------------------------------------------------------------------------
r1104 | const | 2002-05-19 20:35:56 +0700 (Sun, 19 May 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/classes/RfbProto.class
   M /orig/trunk/vnc_unixsrc/classes/VncCanvas.class
   M /orig/trunk/vnc_unixsrc/classes/VncViewer.class
   M /orig/trunk/vnc_unixsrc/classes/VncViewer.jar
   M /orig/trunk/vnc_winsrc/winvnc/res/RfbProto.class
   M /orig/trunk/vnc_winsrc/winvnc/res/VncCanvas.class
   M /orig/trunk/vnc_winsrc/winvnc/res/VncViewer.class
   M /orig/trunk/vnc_winsrc/winvnc/res/VncViewer.jar

Updated Java viewer.

------------------------------------------------------------------------
r1101 | const | 2002-05-15 19:14:26 +0700 (Wed, 15 May 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/README
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnc.def
   M /orig/trunk/vnc_unixsrc/vncserver
   M /orig/trunk/vnc_unixsrc/vncviewer/README
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c

Version strings changed for version 1.2.4.

------------------------------------------------------------------------
r1100 | const | 2002-05-15 19:05:42 +0700 (Wed, 15 May 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xvnc.man
   M /orig/trunk/vnc_unixsrc/vncconnect/vncconnect.man
   M /orig/trunk/vnc_unixsrc/vncpasswd/vncpasswd.man
   M /orig/trunk/vnc_unixsrc/vncserver.man
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.man

Dates fixed.

------------------------------------------------------------------------
r1099 | const | 2002-05-15 19:02:36 +0700 (Wed, 15 May 2002) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/README
   M /orig/trunk/vnc_unixsrc/vncviewer/Vncviewer
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c
   M /orig/trunk/vnc_unixsrc/vncviewer/fullscreen.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.h
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.man

Made grabbing the keyboard optional in full-screen mode, new boolean
"grabKeyboard" X resource added to control this behavior.

------------------------------------------------------------------------
r1098 | const | 2002-05-09 13:10:28 +0700 (Thu, 09 May 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.h

The -autopass option removed.

------------------------------------------------------------------------
r1097 | const | 2002-05-09 12:00:15 +0700 (Thu, 09 May 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/README

Minor correction.

------------------------------------------------------------------------
r1096 | const | 2002-05-09 11:56:42 +0700 (Thu, 09 May 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/libvncauth/vncauth.c

Added a possibility to denote standard input with the "-" file name.

------------------------------------------------------------------------
r1094 | const | 2002-04-30 20:07:31 +0700 (Tue, 30 Apr 2002) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Imakefile
   M /orig/trunk/vnc_unixsrc/README
   M /orig/trunk/vnc_unixsrc/Xvnc/Imakefile
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/Imake.cf
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/Imake.tmpl
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/hp.cf
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/site.def
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/sun.cf
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnc.def
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnclibs.def
   M /orig/trunk/vnc_unixsrc/Xvnc/config/util/makestrs.c
   A /orig/trunk/vnc_unixsrc/Xvnc/configure
   M /orig/trunk/vnc_unixsrc/Xvnc/include/Xpoll.h
   M /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/token.c
   M /orig/trunk/vnc_unixsrc/Xvnc/lib/font/bitmap/bdfutils.c
   M /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fc/fsio.c
   M /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fontfile/Imakefile
   M /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fontfile/bufio.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xext/xprint.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/Imakefile
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/gc.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/Imakefile
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/miexpose.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/osinit.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/utils.c
   D /orig/trunk/vnc_unixsrc/lib
   M /orig/trunk/vnc_unixsrc/libvncauth/Imakefile
   M /orig/trunk/vnc_unixsrc/vncconnect/Imakefile
   M /orig/trunk/vnc_unixsrc/vncpasswd/Imakefile
   M /orig/trunk/vnc_unixsrc/vncpasswd/vncpasswd.c
   M /orig/trunk/vnc_unixsrc/vncviewer/Imakefile
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c
   M /orig/trunk/vnc_unixsrc/vncviewer/colour.c
   M /orig/trunk/vnc_unixsrc/vncviewer/fullscreen.c
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c
   M /orig/trunk/vnc_unixsrc/vncviewer/tight.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.h

Applied patch from Ki Networks, Inc. solving build problems on a
number of commercial Unix systems, fixing a number of minor bugs and
typos, and adding the -autopass option to the vncviewer.

------------------------------------------------------------------------
r1093 | const | 2002-04-25 20:15:08 +0700 (Thu, 25 Apr 2002) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/fullscreen.c

Applied patch to solve keyboard focus problems in the full-screen
mode, from Peter Astrand. The patch does not seem to solve all the
issues, but makes things better nevertheless.

------------------------------------------------------------------------
r1092 | const | 2002-04-25 18:54:29 +0700 (Thu, 25 Apr 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/classes/AuthPanel.class
   M /orig/trunk/vnc_unixsrc/classes/ButtonPanel.class
   M /orig/trunk/vnc_unixsrc/classes/OptionsFrame.class
   M /orig/trunk/vnc_unixsrc/classes/VncCanvas.class
   M /orig/trunk/vnc_unixsrc/classes/VncViewer.class
   M /orig/trunk/vnc_unixsrc/classes/VncViewer.jar

Updated Java viewer.

------------------------------------------------------------------------
r1082 | const | 2002-04-23 21:01:15 +0700 (Tue, 23 Apr 2002) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncpasswd/vncpasswd.c

Fixed a bug causing vncpasswd work incorrectly when a file name
argument was given. Minor cleanup in the message "Passwords do not
match" :-).

------------------------------------------------------------------------
r1064 | const | 2002-03-25 16:19:14 +0600 (Mon, 25 Mar 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncconnect/vncconnect.man

The date was incorrect.

------------------------------------------------------------------------
r1057 | const | 2002-03-20 17:23:22 +0600 (Wed, 20 Mar 2002) | 3 lines
Changed paths:
   D /orig/trunk/vnc_unixsrc/lib/jpeg/.keepme
   A /orig/trunk/vnc_unixsrc/lib/jpeg/NOLIBS
   D /orig/trunk/vnc_unixsrc/lib/zlib/.keepme
   A /orig/trunk/vnc_unixsrc/lib/zlib/NOLIBS

Added short text notices into lib/ subdirectories in place of empty
.keepme files.

------------------------------------------------------------------------
r1056 | const | 2002-03-20 16:49:23 +0600 (Wed, 20 Mar 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/linux.cf

Forcing Xvnc to link dynamically to the system zlib library.

------------------------------------------------------------------------
r1055 | const | 2002-03-20 16:38:00 +0600 (Wed, 20 Mar 2002) | 11 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Imakefile
   M /orig/trunk/vnc_unixsrc/README
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/Imake.tmpl
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnclibs.def
   M /orig/trunk/vnc_unixsrc/Xvnc/lib/Imakefile
   M /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fontfile/Imakefile
   D /orig/trunk/vnc_unixsrc/Xvnc/lib/zlib
   A /orig/trunk/vnc_unixsrc/lib
   A /orig/trunk/vnc_unixsrc/lib/jpeg
   A /orig/trunk/vnc_unixsrc/lib/jpeg/.keepme
   A /orig/trunk/vnc_unixsrc/lib/zlib
   A /orig/trunk/vnc_unixsrc/lib/zlib/.keepme
   D /orig/trunk/vnc_unixsrc/tightvnc-libs.patch
   M /orig/trunk/vnc_unixsrc/vncviewer/Imakefile

Zlib library was removed from the core X sources. Instead, both
vncviewer and Xvnc now can use either system zlib and JPEG libraries,
or ones packaged within TightVNC source archive in the lib/ directory.
This allows to distribute two version of the source archive: one with
these libraries for those who don't have them installed in the system,
and another version without libraries, directly from CVS, for those
who do have zlib and/or JPEG libraries installed. In the former case,
build procedure would include additional "make libs" step. System
libraries will be linked dynamically, libraries included in the source
archive will be linked in statically.

------------------------------------------------------------------------
r1054 | const | 2002-03-20 11:57:43 +0600 (Wed, 20 Mar 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/linux.cf

Cleanups in code layout.

------------------------------------------------------------------------
r1053 | const | 2002-03-20 11:40:46 +0600 (Wed, 20 Mar 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncserver

Removed extra 2-seconds delay after Xvnc startup.

------------------------------------------------------------------------
r1052 | const | 2002-03-20 11:38:29 +0600 (Wed, 20 Mar 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncserver

Made default color depth 24 instead of 8.

------------------------------------------------------------------------
r1051 | const | 2002-03-20 11:36:47 +0600 (Wed, 20 Mar 2002) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/Imake.cf
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/linux.cf
   M /orig/trunk/vnc_unixsrc/Xvnc/config/imake/imakemdep.h
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/servermd.h

Support for s390 and s390x architectures under Linux, patch from
RedHat vnc RPM.

------------------------------------------------------------------------
r1050 | const | 2002-03-20 11:16:03 +0600 (Wed, 20 Mar 2002) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/Imake.cf
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/linux.cf
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnc.def
   M /orig/trunk/vnc_unixsrc/Xvnc/config/imake/imakemdep.h
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/Imakefile
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/stipsparc.s
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/stipsprc32.s

Applied vnc-imake patch from RedHat vnc RPM. This should add support
for more architechtures under Linux.

------------------------------------------------------------------------
r1049 | const | 2002-03-19 23:59:22 +0600 (Tue, 19 Mar 2002) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/httpd.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/sockets.c

Changes allowing to use libwrap library from tcp_wrappers for server
access control, modified patch from RedHat vnc package.

------------------------------------------------------------------------
r1048 | const | 2002-03-19 23:34:14 +0600 (Tue, 19 Mar 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/tightvnc-libs.patch

Move from zlib-1.1.3 to zlib-1.1.4.

------------------------------------------------------------------------
r1047 | const | 2002-03-19 23:25:56 +0600 (Tue, 19 Mar 2002) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfbserver.c

Fixed memory alignment problem in Raw encoder for architectures like
Sparc that force words to be aligned on word boundaries in memory.

------------------------------------------------------------------------
r1046 | const | 2002-03-19 21:23:34 +0600 (Tue, 19 Mar 2002) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/httpd.c

Fixed blocking I/O problem which led to easy denial-of-service attacks
via built-in HTTP server, modified patch from Tim Waugh.

------------------------------------------------------------------------
r1045 | const | 2002-03-19 17:44:02 +0600 (Tue, 19 Mar 2002) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/README
   M /orig/trunk/vnc_unixsrc/vncinstall

The vncinstall script now understands two-argument form allowing to
install manual pages.

------------------------------------------------------------------------
r1044 | const | 2002-03-19 17:12:52 +0600 (Tue, 19 Mar 2002) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncserver

Variable names changed: vncFontPath to fontPath, vncColorsPath to
colorPath, to correspond to configuration variable names found in the
/etc/vnc.conf of Debian GNU/Linux.

------------------------------------------------------------------------
r1043 | const | 2002-03-19 16:56:28 +0600 (Tue, 19 Mar 2002) | 5 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncserver

Trying to check if Xvnc was started, on failure trying to start it
once more with default font path; modified patch from Tim Waugh.
Added valiables $vncFontPath and $vncColorsPath to the configuration
section in the beginning of the script.

------------------------------------------------------------------------
r1042 | const | 2002-03-19 16:29:49 +0600 (Tue, 19 Mar 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fc/fserve.c

Fixed Xvnc crash in the font server code, patch from Tim Waugh.

------------------------------------------------------------------------
r1041 | const | 2002-03-19 16:25:51 +0600 (Tue, 19 Mar 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncserver

vncserver -help output made similar to vncviewer -help output.

------------------------------------------------------------------------
r1040 | const | 2002-03-19 14:51:15 +0600 (Tue, 19 Mar 2002) | 2 lines
Changed paths:
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xvnc.man

Xvnc manual page prepared.

------------------------------------------------------------------------
r1039 | const | 2002-03-19 14:50:49 +0600 (Tue, 19 Mar 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncserver.man

Minor correction.

------------------------------------------------------------------------
r1038 | const | 2002-03-18 11:54:07 +0600 (Mon, 18 Mar 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncserver.man

Corrected a double occurence of a word.

------------------------------------------------------------------------
r1037 | const | 2002-03-18 11:51:44 +0600 (Mon, 18 Mar 2002) | 2 lines
Changed paths:
   A /orig/trunk/vnc_unixsrc/vncserver.man

A manual page for vncserver script prepared.

------------------------------------------------------------------------
r1035 | const | 2002-03-07 23:29:05 +0600 (Thu, 07 Mar 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/classes/VncCanvas.class
   M /orig/trunk/vnc_unixsrc/classes/VncViewer.jar
   M /orig/trunk/vnc_winsrc/winvnc/res/VncCanvas.class
   M /orig/trunk/vnc_winsrc/winvnc/res/VncViewer.jar

Java viewer update.

------------------------------------------------------------------------
r1033 | const | 2002-03-05 15:06:33 +0600 (Tue, 05 Mar 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncconnect/vncconnect.man
   M /orig/trunk/vnc_unixsrc/vncpasswd/vncpasswd.man

Minor corrections in comments.

------------------------------------------------------------------------
r1032 | const | 2002-03-05 11:28:06 +0600 (Tue, 05 Mar 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/README
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnc.def
   M /orig/trunk/vnc_unixsrc/vncviewer/README
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c

Version strings changed, version 1.2.3.

------------------------------------------------------------------------
r1025 | const | 2002-03-04 23:55:15 +0600 (Mon, 04 Mar 2002) | 2 lines
Changed paths:
   A /orig/trunk/vnc_unixsrc/classes/AuthPanel.class
   A /orig/trunk/vnc_unixsrc/classes/ButtonPanel.class
   A /orig/trunk/vnc_unixsrc/classes/ClipboardFrame.class
   A /orig/trunk/vnc_unixsrc/classes/OptionsFrame.class
   A /orig/trunk/vnc_unixsrc/classes/RfbProto.class
   A /orig/trunk/vnc_unixsrc/classes/VncCanvas.class
   A /orig/trunk/vnc_unixsrc/classes/VncViewer.class
   A /orig/trunk/vnc_unixsrc/classes/VncViewer.jar
   D /orig/trunk/vnc_unixsrc/classes/animatedMemoryImageSource.class
   D /orig/trunk/vnc_unixsrc/classes/authenticationPanel.class
   D /orig/trunk/vnc_unixsrc/classes/clipboardFrame.class
   M /orig/trunk/vnc_unixsrc/classes/hextile.vnc
   M /orig/trunk/vnc_unixsrc/classes/index.vnc
   M /orig/trunk/vnc_unixsrc/classes/noshared.vnc
   D /orig/trunk/vnc_unixsrc/classes/optionsFrame.class
   D /orig/trunk/vnc_unixsrc/classes/rfbProto.class
   M /orig/trunk/vnc_unixsrc/classes/shared.vnc
   M /orig/trunk/vnc_unixsrc/classes/tight.vnc
   D /orig/trunk/vnc_unixsrc/classes/vncCanvas.class
   D /orig/trunk/vnc_unixsrc/classes/vncviewer.class
   D /orig/trunk/vnc_unixsrc/classes/vncviewer.jar
   M /orig/trunk/vnc_unixsrc/classes/zlib.vnc

Updated version of the Java viewer.

------------------------------------------------------------------------
r1024 | const | 2002-02-28 16:57:29 +0600 (Thu, 28 Feb 2002) | 2 lines
Changed paths:
   A /orig/trunk/vnc_unixsrc/vncpasswd/vncpasswd.man

Man page for vncpasswd prepared.

------------------------------------------------------------------------
r1023 | const | 2002-02-28 16:56:42 +0600 (Thu, 28 Feb 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.man

Release date updated.

------------------------------------------------------------------------
r1022 | const | 2002-02-20 15:27:18 +0600 (Wed, 20 Feb 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.man

A small correction in the description of the -compresslevel option.

------------------------------------------------------------------------
r987 | const | 2002-01-02 15:00:46 +0600 (Wed, 02 Jan 2002) | 2 lines
Changed paths:
   A /orig/trunk/vnc_unixsrc/vncconnect/vncconnect.man

Man page for vncconnect prepared.

------------------------------------------------------------------------
r986 | const | 2002-01-02 14:57:37 +0600 (Wed, 02 Jan 2002) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/README
   A /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.man

Man page for vncviewer prepared, README file updated.

------------------------------------------------------------------------
r968 | const | 2001-12-12 15:52:44 +0600 (Wed, 12 Dec 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c

Minor correction in the vncviewer -help output.

------------------------------------------------------------------------
r958 | const | 2001-11-26 23:29:21 +0600 (Mon, 26 Nov 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c

Minor change in the vncviewer -help output.

------------------------------------------------------------------------
r957 | const | 2001-11-26 18:07:13 +0600 (Mon, 26 Nov 2001) | 2 lines
Changed paths:
   A /orig/trunk/vnc_unixsrc/tightvnc-libs.patch

A patch to build TightVNC with libraries.

------------------------------------------------------------------------
r956 | const | 2001-11-26 18:04:36 +0600 (Mon, 26 Nov 2001) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/README
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnc.def
   M /orig/trunk/vnc_unixsrc/vncviewer/README
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c

Version strings changed, version 1.2.2.
Minor bugfix in fprintf() for vncviewer -help.

------------------------------------------------------------------------
r955 | const | 2001-11-25 20:15:41 +0600 (Sun, 25 Nov 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c

Changes in the vncviewer -help output.

------------------------------------------------------------------------
r954 | const | 2001-11-24 17:01:34 +0600 (Sat, 24 Nov 2001) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/cursor.c

Minor bugfix which should prevent potential dereference of a NULL
pointer.

------------------------------------------------------------------------
r953 | const | 2001-11-22 18:13:26 +0600 (Thu, 22 Nov 2001) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.h

Now viewer window is raised on beep, unless -noraiseonbeep option is
provided or raiseOnBeep resource set to False.

------------------------------------------------------------------------
r951 | const | 2001-11-13 17:31:34 +0600 (Tue, 13 Nov 2001) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/Imakefile

"ComplexProgramTargetNoMan" directive causing problems on many
non-XFree86 systems changed back to "ComplexProgramTarget".

------------------------------------------------------------------------
r941 | const | 2001-09-16 14:18:37 +0700 (Sun, 16 Sep 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/README
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnc.def
   M /orig/trunk/vnc_unixsrc/vncviewer/README

Version strings changed.

------------------------------------------------------------------------
r940 | const | 2001-09-16 14:14:37 +0700 (Sun, 16 Sep 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/classes/optionsFrame.class
   M /orig/trunk/vnc_unixsrc/classes/rfbProto.class
   M /orig/trunk/vnc_unixsrc/classes/vncCanvas.class
   M /orig/trunk/vnc_unixsrc/classes/vncviewer.class
   M /orig/trunk/vnc_unixsrc/classes/vncviewer.jar
   M /orig/trunk/vnc_winsrc/winvnc/res/optionsFrame.class
   M /orig/trunk/vnc_winsrc/winvnc/res/rfbProto.class
   M /orig/trunk/vnc_winsrc/winvnc/res/vncCanvas.class
   M /orig/trunk/vnc_winsrc/winvnc/res/vncviewer.class
   M /orig/trunk/vnc_winsrc/winvnc/res/vncviewer.jar

New version of the Java viewer.

------------------------------------------------------------------------
r938 | const | 2001-09-16 12:58:13 +0700 (Sun, 16 Sep 2001) | 9 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c
   M /orig/trunk/vnc_unixsrc/vncviewer/tunnel.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.h

New -via <GATEWAY> vncviewer option providing enhanced tunneling
functionality. Now one can make vncviewer tunnel connections to a VNC
host via third machine acting as a gateway. Tunneling command template
can be provided in the VNC_VIA_CMD environment variable containing %H,
%L, %R, %G patterns where %G denotes host address of the gateway
machine (%H, %L, %R patterns are similar to ones used in the
VNC_TUNNEL_CMD template for -tunnel option). Default command template
for the -via option invokes SSH port forwarding.

------------------------------------------------------------------------
r935 | const | 2001-09-15 18:12:31 +0700 (Sat, 15 Sep 2001) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.h

Tunneling command template has been changed, to allow tunneled
connections to hosts where only loopback VNC connections are enabled.

------------------------------------------------------------------------
r931 | const | 2001-09-06 14:34:02 +0700 (Thu, 06 Sep 2001) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncpasswd/vncpasswd.c

Creating ~/.vnc directory if it does not exist, modified patch by Tim
Waugh.

------------------------------------------------------------------------
r929 | const | 2001-08-22 22:23:51 +0700 (Wed, 22 Aug 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

Minor cleanup: parens around arguments of HASH_FUNCxx macros.

------------------------------------------------------------------------
r913 | const | 2001-08-04 18:48:56 +0700 (Sat, 04 Aug 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/Imake.cf
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/linux.cf

PowerPC support, patch from Debian.

------------------------------------------------------------------------
r912 | const | 2001-08-03 17:40:50 +0700 (Fri, 03 Aug 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c

Checking return value after malloc().

------------------------------------------------------------------------
r906 | const | 2001-06-25 14:59:36 +0700 (Mon, 25 Jun 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/README
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnc.def
   M /orig/trunk/vnc_unixsrc/vncviewer/README
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c

Version strings changed.

------------------------------------------------------------------------
r905 | const | 2001-06-25 14:52:36 +0700 (Mon, 25 Jun 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncserver

Added an example to set fontpath when using font server.

------------------------------------------------------------------------
r904 | const | 2001-06-25 14:49:05 +0700 (Mon, 25 Jun 2001) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c

Clarification in vncviewer -help output for -compresslevel and
-quality options.

------------------------------------------------------------------------
r903 | const | 2001-06-25 14:43:35 +0700 (Mon, 25 Jun 2001) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncserver

A patch for vncserver script to respect the XAUTHORITY environment
variable applied, from Red Hat Linux RPM.

------------------------------------------------------------------------
r902 | const | 2001-06-25 13:23:07 +0700 (Mon, 25 Jun 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/classes/vncviewer.class
   M /orig/trunk/vnc_unixsrc/classes/vncviewer.jar

Java classes updated to the latest viewer version.

------------------------------------------------------------------------
r900 | const | 2001-06-18 20:17:15 +0700 (Mon, 18 Jun 2001) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/Imakefile

Imakefile fix to compile the source under XFree86 4.1.0, the patch
sent by Tim Waugh.

------------------------------------------------------------------------
r885 | const | 2001-03-07 14:14:48 +0600 (Wed, 07 Mar 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/classes/vncCanvas.class
   M /orig/trunk/vnc_unixsrc/classes/vncviewer.jar
   M /orig/trunk/vnc_winsrc/winvnc/res/clipboardFrame.class
   M /orig/trunk/vnc_winsrc/winvnc/res/optionsFrame.class
   M /orig/trunk/vnc_winsrc/winvnc/res/rfbProto.class
   M /orig/trunk/vnc_winsrc/winvnc/res/vncCanvas.class
   M /orig/trunk/vnc_winsrc/winvnc/res/vncviewer.jar

Java classes updated to current version.

------------------------------------------------------------------------
r875 | const | 2001-03-01 14:48:44 +0600 (Thu, 01 Mar 2001) | 7 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

Two changes to lower latencies: (1) now we send pending data prior to
processing of each rectangle if there is at least 128 bytes pending;
(2) now, when we are trying to find solid-color areas and already have
passed an amount of data which should be split anyway, we are sending
them immediately.
A number of other minor clean-ups and fixes.

------------------------------------------------------------------------
r874 | const | 2001-03-01 14:35:18 +0600 (Thu, 01 Mar 2001) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/cursor.c

Contents of update buffer is not sent immediately any more. This
change should prevent calling rfbSendUpdateBuf() with ublen==0 after a
framebuffer update.

------------------------------------------------------------------------
r873 | const | 2001-03-01 14:31:53 +0600 (Thu, 01 Mar 2001) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfbserver.c

Minor formatting clean-up and a check in rfbSendUpdateBuf() to make
sure that (ublen > 0).

------------------------------------------------------------------------
r872 | const | 2001-03-01 10:35:27 +0600 (Thu, 01 Mar 2001) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

Minor clean-ups to get rid of all warnings on compilation with -Wall
gcc option.

------------------------------------------------------------------------
r871 | const | 2001-02-17 21:50:29 +0600 (Sat, 17 Feb 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/README
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnc.def
   M /orig/trunk/vnc_unixsrc/vncviewer/README
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c

Version strings changed.

------------------------------------------------------------------------
r870 | const | 2001-02-17 21:46:47 +0600 (Sat, 17 Feb 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/classes/clipboardFrame.class
   M /orig/trunk/vnc_unixsrc/classes/optionsFrame.class
   M /orig/trunk/vnc_unixsrc/classes/rfbProto.class
   M /orig/trunk/vnc_unixsrc/classes/vncCanvas.class
   M /orig/trunk/vnc_unixsrc/classes/vncviewer.jar

Java viewer 1.1p9.

------------------------------------------------------------------------
r869 | const | 2001-02-17 04:38:31 +0600 (Sat, 17 Feb 2001) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

Enhanced technique to split large rectangles: now we're trying to
maximize dimensions of solid-color areas found.
Minor code clean-ups and formating fixes.

------------------------------------------------------------------------
r864 | const | 2001-02-15 15:21:21 +0600 (Thu, 15 Feb 2001) | 7 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfb.h
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfbserver.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

LastRect markers are not being sent when an update consist of small
rectangles not to be searched for solid-color areas.
Minor performance fix: searches for solid-color areas might have been
performed several times in the same area of rectangle.
Minor terminology fixes in names of functions implementing tight
encoder and other minor code clean-ups.

------------------------------------------------------------------------
r862 | const | 2001-02-14 18:34:41 +0600 (Wed, 14 Feb 2001) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

Order in which parts of large rectangles are being sent is now
strictly top-to-bottom, left-to-right. Such behaviour look better at
client side.

------------------------------------------------------------------------
r857 | const | 2001-02-08 06:25:24 +0600 (Thu, 08 Feb 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/README
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnc.def
   M /orig/trunk/vnc_unixsrc/vncviewer/README
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c

Version strings changed.

------------------------------------------------------------------------
r856 | const | 2001-02-08 05:52:40 +0600 (Thu, 08 Feb 2001) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

Parameters for algorithms to split screen rectangles has been changed;
this can improve both compression ratios and CPU usage.

------------------------------------------------------------------------
r855 | const | 2001-02-08 05:47:49 +0600 (Thu, 08 Feb 2001) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

Important bugfix in Xvnc tight encoder: the code to split large
rectangles behaved incorrectly; this caused compression ratios to be
worse than expected and could result segfaults in certain situations.

------------------------------------------------------------------------
r853 | const | 2001-02-03 04:48:11 +0600 (Sat, 03 Feb 2001) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

Bugfix: a typo fixed in the Xvnc that prevented it to communicate
correctly with older viewers without JPEG compression support.

------------------------------------------------------------------------
r851 | const | 2001-02-01 14:24:40 +0600 (Thu, 01 Feb 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c
   M /orig/trunk/vnc_unixsrc/vncviewer/cursor.c
   M /orig/trunk/vnc_unixsrc/vncviewer/tight.c

Tiny clean-up in vncviewer -help message.

------------------------------------------------------------------------
r850 | const | 2001-02-01 14:23:34 +0600 (Thu, 01 Feb 2001) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/stats.c

Protocol overhead produced by LastRect is not counted as part of real
framebuffer updates when statistics is dumped. This seems to be more
correct.

------------------------------------------------------------------------
r849 | const | 2001-02-01 14:21:31 +0600 (Thu, 01 Feb 2001) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfbserver.c

Bug fixed: LastRect pseudo-encoding worked incorrectly when preferred
encoding was not Tight.

------------------------------------------------------------------------
r848 | const | 2001-02-01 06:57:50 +0600 (Thu, 01 Feb 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/README
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnc.def
   M /orig/trunk/vnc_unixsrc/vncviewer/README
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c

Version strings changed.

------------------------------------------------------------------------
r847 | const | 2001-02-01 05:56:55 +0600 (Thu, 01 Feb 2001) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

Rectangles prepared for indexed-color encoding are now may be
compressed with JPEG on low quality levels.

------------------------------------------------------------------------
r846 | const | 2001-02-01 05:04:35 +0600 (Thu, 01 Feb 2001) | 5 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfb.h
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfbserver.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/stats.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

Large rectangles now should be split according to their contents:
encoder tries to find large solid-color areas and to encode them in
separate rectangles. This often reduces amount of data sent, improves
compression speed and lowers latencies.

------------------------------------------------------------------------
r845 | const | 2001-01-31 22:37:41 +0600 (Wed, 31 Jan 2001) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c

Support for LastRect pseudo-encoding added. This fake encoding is used
in empty rectangles indicating that there will be no more rectangles
in current framebuffer update.

------------------------------------------------------------------------
r844 | const | 2001-01-30 22:24:51 +0600 (Tue, 30 Jan 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfb.h
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfbserver.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

JPEG image quality in Xvnc tight encoder is now configurable.

------------------------------------------------------------------------
r843 | const | 2001-01-30 17:55:38 +0600 (Tue, 30 Jan 2001) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/include/rfbproto.h
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.h

Support for JPEG quality level setting in vncviewer, -quality option
implemented.

------------------------------------------------------------------------
r842 | const | 2001-01-30 17:53:57 +0600 (Tue, 30 Jan 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/tight.c

Bugfix in colorspace translation from JPEG data.

------------------------------------------------------------------------
r841 | const | 2001-01-30 17:52:28 +0600 (Tue, 30 Jan 2001) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

JPEG compression is now supported with any 16bpp and 32bpp server
pixel formats.

------------------------------------------------------------------------
r840 | const | 2001-01-30 03:24:14 +0600 (Tue, 30 Jan 2001) | 6 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnclibs.def
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c
   M /orig/trunk/vnc_unixsrc/include/rfbproto.h
   M /orig/trunk/vnc_unixsrc/vncviewer/Imakefile
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c
   M /orig/trunk/vnc_unixsrc/vncviewer/tight.c

Preliminary implementation of JPEG compression. It works perfectly,
but there are things to do: client should send explicit request for
JPEG compression with quality level, algorithms to decide if a
rectangle may be compressed by JPEG should be designed and implemented
(for now JPEG compression just replaces Gradient filter).

------------------------------------------------------------------------
r838 | const | 2001-01-28 18:21:33 +0600 (Sun, 28 Jan 2001) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/classes/DesCipher.class
   M /orig/trunk/vnc_unixsrc/classes/animatedMemoryImageSource.class
   M /orig/trunk/vnc_unixsrc/classes/authenticationPanel.class
   M /orig/trunk/vnc_unixsrc/classes/clipboardFrame.class
   A /orig/trunk/vnc_unixsrc/classes/hextile.vnc
   M /orig/trunk/vnc_unixsrc/classes/index.vnc
   A /orig/trunk/vnc_unixsrc/classes/noshared.vnc
   M /orig/trunk/vnc_unixsrc/classes/optionsFrame.class
   M /orig/trunk/vnc_unixsrc/classes/rfbProto.class
   M /orig/trunk/vnc_unixsrc/classes/shared.vnc
   A /orig/trunk/vnc_unixsrc/classes/tight.vnc
   M /orig/trunk/vnc_unixsrc/classes/vncCanvas.class
   M /orig/trunk/vnc_unixsrc/classes/vncviewer.class
   M /orig/trunk/vnc_unixsrc/classes/vncviewer.jar
   A /orig/trunk/vnc_unixsrc/classes/zlib.vnc

VNC Java viewer classes and HTML templates replaced with recently
implemented Java version of TightVNC viewer.

------------------------------------------------------------------------
r837 | const | 2001-01-28 18:16:44 +0600 (Sun, 28 Jan 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/README
   M /orig/trunk/vnc_unixsrc/Xvnc/README
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnc.def
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/README
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/cursor.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c
   M /orig/trunk/vnc_unixsrc/vncviewer/README
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c
   M /orig/trunk/vnc_unixsrc/vncviewer/tight.c
   M /orig/trunk/vnc_unixsrc/vncviewer/tunnel.c

Copyright and version strings changed.

------------------------------------------------------------------------
r828 | const | 2001-01-26 01:39:19 +0600 (Fri, 26 Jan 2001) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/cursor.c

Bugfix: locked screen area calculation was broken on locks > 1.
Minor bugfix: there was 1 pixel error (safe) in code to determine
collisions between software cursor and locked area.

------------------------------------------------------------------------
r827 | const | 2001-01-26 01:33:49 +0600 (Fri, 26 Jan 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/include/rfbproto.h

rfbEncodingLastRect added to list of known ensodings.

------------------------------------------------------------------------
r821 | const | 2001-01-24 23:53:22 +0600 (Wed, 24 Jan 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/cursor.c

Minor cleanups.

------------------------------------------------------------------------
r815 | const | 2001-01-22 10:52:58 +0600 (Mon, 22 Jan 2001) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/Vncviewer
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c

vncviewer now requests shared session by default, "-noshared" option
supported to alter this behaviour.

------------------------------------------------------------------------
r813 | const | 2001-01-17 17:03:00 +0600 (Wed, 17 Jan 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/init.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfb.h
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/sockets.c

Code cleanup in Xvnc -interface option implementation, from TridiaVNC.

------------------------------------------------------------------------
r812 | const | 2001-01-17 05:17:36 +0600 (Wed, 17 Jan 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/cursor.c

Minor code cleanups.

------------------------------------------------------------------------
r811 | const | 2001-01-17 04:26:22 +0600 (Wed, 17 Jan 2001) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/corre.c

Bug fixed: CoRRE implementation refused to check return codes after
writing data to clients; this caused Xvnc crashes after write
operation into closed descriptor.

------------------------------------------------------------------------
r810 | const | 2001-01-17 03:37:08 +0600 (Wed, 17 Jan 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/desktop.c

Minor change in dot cursor shape (rounded).

------------------------------------------------------------------------
r809 | const | 2001-01-17 02:47:15 +0600 (Wed, 17 Jan 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/cursor.c

Transparent 1x1 cursor is treated as "no cursor" (width 0, height 0).

------------------------------------------------------------------------
r808 | const | 2001-01-17 02:20:28 +0600 (Wed, 17 Jan 2001) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/init.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/kbdptr.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfb.h

New -compatiblekbd option implemented in Xvnc to force META and ALT
keys behave the same way as they do in the original AT&T's version
(they both correspond to the Mod1 modifier there).

------------------------------------------------------------------------
r807 | const | 2001-01-17 01:55:40 +0600 (Wed, 17 Jan 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/init.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfb.h
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/sockets.c

Support for Xvnc -interface option added (patch from Tim Waught).

------------------------------------------------------------------------
r806 | const | 2001-01-16 14:16:39 +0600 (Tue, 16 Jan 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/Imakefile
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfb.h
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfbserver.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/zlib.c
   M /orig/trunk/vnc_unixsrc/include/rfbproto.h
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.h
   A /orig/trunk/vnc_unixsrc/vncviewer/zlib.c

Zlib encoding support merged from the TridiaVNC code.

------------------------------------------------------------------------
r805 | const | 2001-01-16 14:07:57 +0600 (Tue, 16 Jan 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/listen.c

XBell volume changed from 100 to 0.

------------------------------------------------------------------------
r804 | const | 2001-01-16 14:07:02 +0600 (Tue, 16 Jan 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/Vncviewer
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c

Version info changed, minor typo fixed.

------------------------------------------------------------------------
r803 | const | 2001-01-16 13:17:03 +0600 (Tue, 16 Jan 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnc.def

Version string changed to indicate Tight Encoder version.

------------------------------------------------------------------------
r802 | const | 2001-01-16 11:17:52 +0600 (Tue, 16 Jan 2001) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfbserver.c

Server-side priorities for XCursor vs. RichCursor encodings have been
changed: now XCursor is used for any client supporting this encoding
even if it sends request for RichCursor encoding first.

------------------------------------------------------------------------
r801 | const | 2001-01-16 08:10:33 +0600 (Tue, 16 Jan 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c

Minor cosmetic change.

------------------------------------------------------------------------
r800 | const | 2001-01-16 07:45:43 +0600 (Tue, 16 Jan 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/cursor.c
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.h

RichCursor encoding support is finished.

------------------------------------------------------------------------
r799 | const | 2001-01-15 22:34:38 +0600 (Mon, 15 Jan 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/cursor.c

Code cleanups.

------------------------------------------------------------------------
r798 | const | 2001-01-15 09:54:18 +0600 (Mon, 15 Jan 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c
   M /orig/trunk/vnc_unixsrc/vncviewer/cursor.c
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c
   M /orig/trunk/vnc_unixsrc/vncviewer/sockets.c
   M /orig/trunk/vnc_unixsrc/vncviewer/tight.c
   M /orig/trunk/vnc_unixsrc/vncviewer/tunnel.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.h

Coding style fixes, spaces -> tabs (mostly in my own code).

------------------------------------------------------------------------
r797 | const | 2001-01-15 04:55:33 +0600 (Mon, 15 Jan 2001) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/cursor.c
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.h

Preliminary client-side RichCursor encoding support. Currently it
works but the way to prevent collisions between framebuffer updates
and cursor drawing operations is not reliable enough.

------------------------------------------------------------------------
r796 | const | 2001-01-15 04:51:01 +0600 (Mon, 15 Jan 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/cursor.c

Bug with XCursor->RichCursor format translation fixed.

------------------------------------------------------------------------
r795 | const | 2001-01-12 06:36:25 +0600 (Fri, 12 Jan 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c

Requesting RichCursor encoding, processing RichCursor updates.

------------------------------------------------------------------------
r794 | const | 2001-01-12 06:35:29 +0600 (Fri, 12 Jan 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.h

MAX_ENCODINGS raised to 20.

------------------------------------------------------------------------
r793 | const | 2001-01-12 06:19:17 +0600 (Fri, 12 Jan 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/Imakefile
   A /orig/trunk/vnc_unixsrc/vncviewer/cursor.c
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.h

All XCursor stuff moved from rfbproto.c to a new file, cursor.c.

------------------------------------------------------------------------
r792 | const | 2001-01-06 21:00:38 +0600 (Sat, 06 Jan 2001) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/cursor.c

Xvnc bit-order problems in XCursor/RichCursor encodings hopefully
fixed.

------------------------------------------------------------------------
r790 | const | 2001-01-06 01:05:56 +0600 (Sat, 06 Jan 2001) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

Constant sets for compression levels 0 and 1 changed.
Minor code cleanups and optimizations.
Comments clarified, typos in comments fixed.

------------------------------------------------------------------------
r789 | const | 2001-01-06 01:02:53 +0600 (Sat, 06 Jan 2001) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/tight.c

Tiny typo fixed in comment.

------------------------------------------------------------------------
r786 | const | 2000-12-09 05:28:14 +0600 (Sat, 09 Dec 2000) | 6 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/tight.c

Bugfix: viewer crashed in rare situations after inflate() call when
decompressed data filled the whole output buffer but there was no more
input data.
Additionally, one more sprintf(stderr, ...) added to inflate() error
processing code to catch such kind of errors in the future.

------------------------------------------------------------------------
r783 | const | 2000-12-01 02:22:16 +0600 (Fri, 01 Dec 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c

Buffer size for incoming compressed data decreased to lower latencies.

------------------------------------------------------------------------
r780 | const | 2000-11-21 00:18:20 +0600 (Tue, 21 Nov 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/cursor.c

Minor change in comment.

------------------------------------------------------------------------
r779 | const | 2000-11-17 09:02:55 +0600 (Fri, 17 Nov 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

Unused variable removed.

------------------------------------------------------------------------
r772 | const | 2000-11-14 20:07:10 +0600 (Tue, 14 Nov 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

Code cleanups. No logic changes.

------------------------------------------------------------------------
r771 | const | 2000-11-10 16:20:07 +0600 (Fri, 10 Nov 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncconnect/vncconnect.c

Tiny patch from Tim Waugh applied to correct typo in a message text.

------------------------------------------------------------------------
r770 | const | 2000-11-10 16:18:28 +0600 (Fri, 10 Nov 2000) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbcmap.c

Order and priority of color components in default pixel format have
been changed. This should resolve problems with imlib renderer and get
rid of unneeded pixel format translations in many cases.

------------------------------------------------------------------------
r769 | const | 2000-11-03 03:55:57 +0600 (Fri, 03 Nov 2000) | 5 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c
   M /orig/trunk/vnc_unixsrc/vncviewer/tunnel.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.h

When -tunnel option was specified in the command line, special rules
are used to choose preferred encoding. Now viewer does not think that
server is running on the same machine when tunneling is on and
preferred encoding is "tight" with default compression instead of raw.

------------------------------------------------------------------------
r768 | const | 2000-11-03 03:05:09 +0600 (Fri, 03 Nov 2000) | 5 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbcmap.c

Rules to set default pixel formats have been changed: if depth/3 is
not integral number, then red component will take (depth+1)/3 bits
instead of (depth+2)/3 bits. So default pixel format for 16bpp is
BGR565 instead of BGR556.

------------------------------------------------------------------------
r767 | const | 2000-11-01 01:57:34 +0600 (Wed, 01 Nov 2000) | 6 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/cursor.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfb.h
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfbserver.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/stats.c
   M /orig/trunk/vnc_unixsrc/include/rfbproto.h
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c

New "RichCursor" encoding implemented.
Background and foreground colors are not sent for empty XCursor updates
any more. Note: compatibility with previous XCursor code lost.
Actual bit order in X11 bitmaps did not correspond to XCursor encoding
specification. Note: compatibility with previous XCursor code lost.

------------------------------------------------------------------------
r766 | const | 2000-10-31 16:13:42 +0600 (Tue, 31 Oct 2000) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfbserver.c

(rfbSendXCursorShape): XCursor encoding change: order in which
transparency and data bitmaps follow is now opposite (first data,
then mask).

------------------------------------------------------------------------
r765 | const | 2000-10-31 15:46:14 +0600 (Tue, 31 Oct 2000) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c

(HandleXCursor): XCursor encoding change: order in which transparency
and data bitmaps follow is now opposite (first data, then mask).

------------------------------------------------------------------------
r764 | const | 2000-10-31 15:43:14 +0600 (Tue, 31 Oct 2000) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/include/rfbproto.h

Description for XCursor encoding changed, order in which transparency
and data bitmaps follow is now opposite (first data, then mask).

------------------------------------------------------------------------
r763 | const | 2000-10-31 15:31:15 +0600 (Tue, 31 Oct 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/include/rfbproto.h

Preparing for RichCursor encoding implementation.

------------------------------------------------------------------------
r762 | const | 2000-10-31 15:20:25 +0600 (Tue, 31 Oct 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/kbdptr.c

META key fix -- still not sure if this solution is correct.

------------------------------------------------------------------------
r760 | const | 2000-10-30 18:44:03 +0600 (Mon, 30 Oct 2000) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfb.h
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfbserver.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/sprite.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/sprite.h
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/spritest.h
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/stats.c
   M /orig/trunk/vnc_unixsrc/include/rfbproto.h
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c
   M /orig/trunk/vnc_unixsrc/vncviewer/desktop.c
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.h

"XCursor" encoding implemented. It's used to send X-style cursor shape
information from server to clients so cursor movement can be processed
at client side.

------------------------------------------------------------------------
r759 | const | 2000-10-30 01:30:16 +0600 (Mon, 30 Oct 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.h

Vncviewer's -nolocalcursor option removed.

------------------------------------------------------------------------
r757 | const | 2000-10-27 03:42:12 +0700 (Fri, 27 Oct 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c

Version string changed.

------------------------------------------------------------------------
r756 | const | 2000-10-27 03:02:32 +0700 (Fri, 27 Oct 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/include/rfbproto.h

Additions and cleanups on comment regarding XCursor encoding.

------------------------------------------------------------------------
r754 | const | 2000-10-27 02:26:10 +0700 (Fri, 27 Oct 2000) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/classes/rfbProto.class
   M /orig/trunk/vnc_unixsrc/classes/vncviewer.jar

Changes from AT&T merged into the sourse, now the code is based on
version 3.3.3r2, not on 3.3.3r1.

------------------------------------------------------------------------
r753 | const | 2000-10-27 02:19:19 +0700 (Fri, 27 Oct 2000) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Imakefile
   M /orig/trunk/vnc_unixsrc/README
   M /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnc.def
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/Imakefile
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/cutpaste.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/draw.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/hextile.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/init.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/kbdptr.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfb.h
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfbserver.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/sockets.c
   A /orig/trunk/vnc_unixsrc/vncconnect
   A /orig/trunk/vnc_unixsrc/vncconnect/Imakefile
   A /orig/trunk/vnc_unixsrc/vncconnect/vncconnect.c
   M /orig/trunk/vnc_unixsrc/vncinstall
   M /orig/trunk/vnc_unixsrc/vncserver
   M /orig/trunk/vnc_unixsrc/vncviewer/dialogs.c

Changes from AT&T merged into the sourse, now the code is based on
version 3.3.3r2, not on 3.3.3r1.

------------------------------------------------------------------------
r751 | const | 2000-10-27 01:56:45 +0700 (Fri, 27 Oct 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/include/rfbproto.h

Preparing for local cursor implementation. New constants and comments.

------------------------------------------------------------------------
r750 | const | 2000-10-26 18:59:15 +0700 (Thu, 26 Oct 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

(PaletteReset): Minor speed optimization.

------------------------------------------------------------------------
r749 | const | 2000-10-26 18:15:07 +0700 (Thu, 26 Oct 2000) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

(SendIndexedRect): The function has been split into two functions:
SendIndexedRect and SendMonoRect.

------------------------------------------------------------------------
r748 | const | 2000-10-26 04:27:34 +0700 (Thu, 26 Oct 2000) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfbserver.c
   M /orig/trunk/vnc_unixsrc/include/rfbproto.h
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.h

Setting compression levels in Xvnc tight encoder.
New "-compresslevel" option added to vncviewer.
New "-nolocalcursor" option added to vncviewer, but it's not used yet.

------------------------------------------------------------------------
r747 | const | 2000-10-26 04:24:07 +0700 (Thu, 26 Oct 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/translate.c

(rfbSetTranslateFunction): Small cleanup in log message.

------------------------------------------------------------------------
r746 | const | 2000-10-26 02:57:39 +0700 (Thu, 26 Oct 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfb.h
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfbserver.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

Compression level made configurable in tight encoder.

------------------------------------------------------------------------
r745 | const | 2000-10-17 16:43:22 +0700 (Tue, 17 Oct 2000) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/dialogs.c

A patch by Tim Waugh to correct misuse of XawDialogGetValueString
function in vncviewer has been applied.

------------------------------------------------------------------------
r744 | const | 2000-10-17 15:51:43 +0700 (Tue, 17 Oct 2000) | 4 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

Encoding of indexed rectangles mostly rewritten for speed
optimization.
Usual code cleanups.

------------------------------------------------------------------------
r732 | const | 2000-10-04 04:25:46 +0700 (Wed, 04 Oct 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/hextile.c

Fix for "0 bpp" problem from Michael A. Fetterman has been applied.

------------------------------------------------------------------------
r730 | const | 2000-09-29 23:03:03 +0700 (Fri, 29 Sep 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

(FillPaletteNN): Unused arguments removed.

------------------------------------------------------------------------
r729 | const | 2000-09-29 22:56:57 +0700 (Fri, 29 Sep 2000) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

Hash function for palette lookups has been changed to address
byte-order issues.

------------------------------------------------------------------------
r724 | const | 2000-09-27 22:08:56 +0700 (Wed, 27 Sep 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/tight.c

Obsolete comment removed.

------------------------------------------------------------------------
r723 | const | 2000-09-26 18:46:22 +0700 (Tue, 26 Sep 2000) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

Rules to identify rectangles as suitable for ``gradient'' filter were
not strict enough.

------------------------------------------------------------------------
r722 | const | 2000-09-25 18:59:17 +0700 (Mon, 25 Sep 2000) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/init.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfb.h
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

``-lazytight'' option added to Xvnc to disable ``gradient'' filter in
tight encoding.

------------------------------------------------------------------------
r721 | const | 2000-09-25 09:25:54 +0700 (Mon, 25 Sep 2000) | 5 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

New code to determine image type. It is used to guess is it helpful to
use ``gradient'' filter on full-color rectangle.
Byte order problems have been hopefully fixed.
Various code cleanups and optimizations.

------------------------------------------------------------------------
r720 | const | 2000-09-07 10:49:19 +0700 (Thu, 07 Sep 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c

Bell volume for XBell changed from 100 to 0.

------------------------------------------------------------------------
r719 | const | 2000-09-04 03:32:02 +0700 (Mon, 04 Sep 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

``Gradient'' filter implemented, but currently it's very inefficient.

------------------------------------------------------------------------
r718 | const | 2000-09-04 03:30:47 +0700 (Mon, 04 Sep 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/tight.c

(FilterGradientBPP): Bug in the ``gradient'' filter code fixed.

------------------------------------------------------------------------
r717 | const | 2000-09-01 16:04:44 +0700 (Fri, 01 Sep 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/include/rfbproto.h
   M /orig/trunk/vnc_unixsrc/vncviewer/tight.c

Minor code cleanups.

------------------------------------------------------------------------
r716 | const | 2000-08-30 17:15:38 +0700 (Wed, 30 Aug 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfb.h
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfbserver.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

Better way to split rectangle into smaller parts.

------------------------------------------------------------------------
r715 | const | 2000-08-30 14:08:43 +0700 (Wed, 30 Aug 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

Hash function for palette lookups simplified.

------------------------------------------------------------------------
r714 | const | 2000-08-30 01:05:54 +0700 (Wed, 30 Aug 2000) | 5 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c
   M /orig/trunk/vnc_unixsrc/include/rfbproto.h

Stupid bug fixed: extra unused color was included in palettes in many
cases; compression ratios used to be smaller than they should be.
Parts of code rewritten or reorganized for speed optimization. Code
cleanups.

------------------------------------------------------------------------
r702 | const | 2000-08-18 12:13:46 +0700 (Fri, 18 Aug 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c

Telling the server that we support tight encoding.

------------------------------------------------------------------------
r701 | const | 2000-08-18 12:12:57 +0700 (Fri, 18 Aug 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfb.h

Constants moved back to header file.

------------------------------------------------------------------------
r700 | const | 2000-08-18 12:12:27 +0700 (Fri, 18 Aug 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfbserver.c

Tuning for better compression ratios.

------------------------------------------------------------------------
r699 | const | 2000-08-18 12:12:10 +0700 (Fri, 18 Aug 2000) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

Prevention of compressing very small updates.
Tuning for better compression ratios.

------------------------------------------------------------------------
r698 | const | 2000-08-18 12:11:21 +0700 (Fri, 18 Aug 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/tight.c

Prevention of compressing very small updates.

------------------------------------------------------------------------
r697 | const | 2000-08-18 11:03:09 +0700 (Fri, 18 Aug 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfb.h
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

Constants moved from rfb.h to tight.c. One nasty bug fixed.

------------------------------------------------------------------------
r696 | const | 2000-08-18 01:42:32 +0700 (Fri, 18 Aug 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

Statistics about bytes sent was not computed correctly.

------------------------------------------------------------------------
r695 | const | 2000-08-18 01:25:32 +0700 (Fri, 18 Aug 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/tight.c

Debugging messages removed or changed.

------------------------------------------------------------------------
r694 | const | 2000-08-18 01:25:17 +0700 (Fri, 18 Aug 2000) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

Support for 24-bit color samples implemented.
Debugging messages removed.

------------------------------------------------------------------------
r693 | const | 2000-08-18 01:24:26 +0700 (Fri, 18 Aug 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfb.h

Unused constant removed.

------------------------------------------------------------------------
r692 | const | 2000-08-18 00:00:59 +0700 (Fri, 18 Aug 2000) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

Palette for 8-bit samples restricted to 2 colors.
Other code cleanups.

------------------------------------------------------------------------
r691 | const | 2000-08-17 22:51:19 +0700 (Thu, 17 Aug 2000) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/stats.c
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c
   M /orig/trunk/vnc_unixsrc/include/rfbproto.h
   M /orig/trunk/vnc_unixsrc/vncviewer/tight.c

Working version of tight encoding. The only thing still missed is
support for 24-bit samples in Xnvc.

------------------------------------------------------------------------
r690 | const | 2000-08-17 16:35:31 +0700 (Thu, 17 Aug 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/Imakefile
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfb.h
   M /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfbserver.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tight.c

Interim version of tight encoding.

------------------------------------------------------------------------
r689 | const | 2000-08-16 12:23:28 +0700 (Wed, 16 Aug 2000) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/tight.c

Debugging finished for 24-bit mode, several bugs fixed.
Some debugging messages added.

------------------------------------------------------------------------
r688 | const | 2000-08-16 04:44:13 +0700 (Wed, 16 Aug 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/tight.c

Support for 24-bit RGB background color for solid areas was missing.

------------------------------------------------------------------------
r687 | const | 2000-08-16 03:09:23 +0700 (Wed, 16 Aug 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/tight.c

Fixed bug in ``gradient'' filter.

------------------------------------------------------------------------
r686 | const | 2000-08-15 23:11:13 +0700 (Tue, 15 Aug 2000) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/include/rfbproto.h
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c
   M /orig/trunk/vnc_unixsrc/vncviewer/tight.c

Filters ``gradient'' and ``palette'' added to the ``tight'' encoding
implementation.

------------------------------------------------------------------------
r685 | const | 2000-08-15 04:24:52 +0700 (Tue, 15 Aug 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/include/rfbproto.h
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c
   M /orig/trunk/vnc_unixsrc/vncviewer/tight.c

Redesigned implementation of the ``tight'' encoding.

------------------------------------------------------------------------
r684 | const | 2000-08-08 15:34:06 +0700 (Tue, 08 Aug 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c
   M /orig/trunk/vnc_unixsrc/vncviewer/listen.c
   M /orig/trunk/vnc_unixsrc/vncviewer/tunnel.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.h

Working support for SSH tunneling.

------------------------------------------------------------------------
r683 | const | 2000-08-08 04:46:53 +0700 (Tue, 08 Aug 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/Imakefile
   M /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c
   M /orig/trunk/vnc_unixsrc/vncviewer/sockets.c
   A /orig/trunk/vnc_unixsrc/vncviewer/tunnel.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.c
   M /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.h

First snapshot of support for SSH-tunneled connections; not works yet.

------------------------------------------------------------------------
r682 | const | 2000-08-02 23:26:45 +0700 (Wed, 02 Aug 2000) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/tight.c

First working snapshot of pre-``tight'' encoding.
Currently it's equivalent to pure zlib compression.

------------------------------------------------------------------------
r681 | const | 2000-08-02 21:07:00 +0700 (Wed, 02 Aug 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/tight.c

Fixed one typo, partially fixed incorrect FilterHdiff implementation.

------------------------------------------------------------------------
r680 | const | 2000-08-02 17:58:36 +0700 (Wed, 02 Aug 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c
   M /orig/trunk/vnc_unixsrc/vncviewer/tight.c

Draft version of ``tight'' encoding finished.

------------------------------------------------------------------------
r679 | const | 2000-08-02 03:23:39 +0700 (Wed, 02 Aug 2000) | 3 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/Imakefile
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c
   M /orig/trunk/vnc_unixsrc/vncviewer/tight.c

Next non-working snapshot of ``tight'' encoding which. It's the first
version which can be compiled.

------------------------------------------------------------------------
r678 | const | 2000-08-01 18:24:17 +0700 (Tue, 01 Aug 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c
   M /orig/trunk/vnc_unixsrc/vncviewer/tight.c

Next unfinished snapshot of ``tight'' encoding implementation.

------------------------------------------------------------------------
r677 | const | 2000-08-01 02:03:35 +0700 (Tue, 01 Aug 2000) | 2 lines
Changed paths:
   M /orig/trunk/vnc_unixsrc/include/rfbproto.h
   A /orig/trunk/vnc_unixsrc/vncviewer/tight.c

Half-finished snapshot of ``tight'' encoding.

------------------------------------------------------------------------
r673 | const | 2000-06-11 19:00:51 +0700 (Sun, 11 Jun 2000) | 2 lines
Changed paths:
   A /orig/trunk/vnc_unixsrc
   A /orig/trunk/vnc_unixsrc/Imakefile
   A /orig/trunk/vnc_unixsrc/LICENCE.TXT
   A /orig/trunk/vnc_unixsrc/README
   A /orig/trunk/vnc_unixsrc/Xvnc
   A /orig/trunk/vnc_unixsrc/Xvnc/DIFFS
   A /orig/trunk/vnc_unixsrc/Xvnc/INSTALL.PS
   A /orig/trunk/vnc_unixsrc/Xvnc/INSTALL.TXT
   A /orig/trunk/vnc_unixsrc/Xvnc/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/LABEL
   A /orig/trunk/vnc_unixsrc/Xvnc/Makefile
   A /orig/trunk/vnc_unixsrc/Xvnc/README
   A /orig/trunk/vnc_unixsrc/Xvnc/RELNOTES.PS
   A /orig/trunk/vnc_unixsrc/Xvnc/RELNOTES.TXT
   A /orig/trunk/vnc_unixsrc/Xvnc/bug-report
   A /orig/trunk/vnc_unixsrc/Xvnc/config
   A /orig/trunk/vnc_unixsrc/Xvnc/config/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/Amoeba.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/DGUX.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/FreeBSD.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/Imake.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/Imake.rules
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/Imake.tmpl
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/Library.tmpl
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/Mips.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/Motif.rules
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/Motif.tmpl
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/NetBSD.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/Oki.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/OpenBSD.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/README
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/Server.tmpl
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/ServerLib.tmpl
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/Threads.tmpl
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/Win32.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/Win32.rules
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/WinLib.tmpl
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/X11.rules
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/X11.tmpl
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/apollo.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/bsd.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/bsdLib.rules
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/bsdLib.tmpl
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/bsdi.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/cde.rules
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/cde.tmpl
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/convex.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/cray.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/fujitsu.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/generic.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/hp.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/hpLib.rules
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/hpLib.tmpl
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/ibm.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/ibmLib.rules
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/ibmLib.tmpl
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/isc.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/linux.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/lnxLib.rules
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/lnxLib.tmpl
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/lnxdoc.rules
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/lnxdoc.tmpl
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/luna.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/lynx.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/macII.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/mach.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/minix.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/moto.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/ncr.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/nec.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/necLib.rules
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/necLib.tmpl
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/noop.rules
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/oldlib.rules
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/os2.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/os2.rules
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/os2Lib.rules
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/os2Lib.tmpl
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/osf1.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/osfLib.rules
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/osfLib.tmpl
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/pegasus.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/sco.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/sco5.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/scoLib.rules
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/sequent.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/sgi.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/sgiLib.rules
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/sgiLib.tmpl
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/site.def
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/sony.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/sun.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/sunLib.rules
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/sunLib.tmpl
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/sv3Lib.rules
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/sv3Lib.tmpl
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/sv4Lib.rules
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/sv4Lib.tmpl
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/svr3.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/svr4.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/ultrix.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/usl.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnc.def
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/vnclibs.def
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/x386.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/xf86.rules
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/xf86.tmpl
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/xf86site.def
   A /orig/trunk/vnc_unixsrc/Xvnc/config/cf/xfree86.cf
   A /orig/trunk/vnc_unixsrc/Xvnc/config/imake
   A /orig/trunk/vnc_unixsrc/Xvnc/config/imake/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/config/imake/Makefile.ini
   A /orig/trunk/vnc_unixsrc/Xvnc/config/imake/ccimake.c
   A /orig/trunk/vnc_unixsrc/Xvnc/config/imake/imake.c
   A /orig/trunk/vnc_unixsrc/Xvnc/config/imake/imake.man
   A /orig/trunk/vnc_unixsrc/Xvnc/config/imake/imakemdep.h
   A /orig/trunk/vnc_unixsrc/Xvnc/config/imake/imakesvc.cmd
   A /orig/trunk/vnc_unixsrc/Xvnc/config/makedepend
   A /orig/trunk/vnc_unixsrc/Xvnc/config/makedepend/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/config/makedepend/cpp.ed
   A /orig/trunk/vnc_unixsrc/Xvnc/config/makedepend/cppsetup.c
   A /orig/trunk/vnc_unixsrc/Xvnc/config/makedepend/def.h
   A /orig/trunk/vnc_unixsrc/Xvnc/config/makedepend/ifparser.c
   A /orig/trunk/vnc_unixsrc/Xvnc/config/makedepend/ifparser.h
   A /orig/trunk/vnc_unixsrc/Xvnc/config/makedepend/include.c
   A /orig/trunk/vnc_unixsrc/Xvnc/config/makedepend/main.c
   A /orig/trunk/vnc_unixsrc/Xvnc/config/makedepend/mkdepend.man
   A /orig/trunk/vnc_unixsrc/Xvnc/config/makedepend/parse.c
   A /orig/trunk/vnc_unixsrc/Xvnc/config/makedepend/pr.c
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/Makefile.ini
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/added.cmd
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/aminstall.sh
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/bsdinst.sh
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/buildos2.cmd
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/checktree.c
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/chownxterm.c
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/crayar.sh
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/elistgen.hp
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/elistgen.ibm
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/elistgen.sun
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/elistgen.usl
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/gccmdep.cpp
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/indir.cmd
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/install.sh
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/instos2.cmd
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/lndir.c
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/lndir.man
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/makeg.man
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/makeg.sh
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/makestrs.c
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/makestrs.man
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/mdepend.cpp
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/mergelib.cpp
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/mkdirhier.c
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/mkdirhier.cmd
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/mkdirhier.man
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/mkdirhier.sh
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/mkshadow
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/mkshadow/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/mkshadow/README
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/mkshadow/mkshadow.c
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/mkshadow/savedir.c
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/mkshadow/wildmat.c
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/os2inst.cmd
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/remove.cmd
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/syminst.sh
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/x11mf.sh
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/xmake.cmd
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/xmkmf.cmd
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/xmkmf.cpp
   A /orig/trunk/vnc_unixsrc/Xvnc/config/util/xmkmf.man
   A /orig/trunk/vnc_unixsrc/Xvnc/include
   A /orig/trunk/vnc_unixsrc/Xvnc/include/DECkeysym.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/HPkeysym.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/include/Sunkeysym.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/X.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/XWDFile.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/Xalloca.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/Xatom.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/Xfuncproto.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/Xfuncs.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/Xmd.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/Xos.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/Xos_r.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/Xosdefs.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/Xpoll.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/Xproto.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/Xprotostr.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/Xthreads.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/Xw32defs.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/Xwinsock.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/ap_keysym.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/1x1
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/2x2
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/black
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/boxes
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/calculator
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/cntr_ptr
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/cntr_ptrmsk
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/cross_weave
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/dimple1
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/dimple3
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/dot
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/dropbar7
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/dropbar8
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/escherknot
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/flagdown
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/flagup
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/flipped_gray
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/gray
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/gray1
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/gray3
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/grid16
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/grid2
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/grid4
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/grid8
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/hlines2
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/hlines3
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/icon
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/keyboard16
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/left_ptr
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/left_ptrmsk
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/letters
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/light_gray
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/mailempty
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/mailemptymsk
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/mailfull
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/mailfullmsk
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/mensetmanus
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/menu10
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/menu12
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/menu16
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/menu6
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/menu8
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/noletters
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/opendot
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/opendotMask
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/plaid
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/right_ptr
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/right_ptrmsk
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/root_weave
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/scales
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/sipb
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/star
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/starMask
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/stipple
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/target
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/terminal
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/tie_fighter
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/vlines2
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/vlines3
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/weird_size
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/wide_weave
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/wingdogs
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/woman
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/xfd_icon
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/xlogo11
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/xlogo16
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/xlogo32
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/xlogo64
   A /orig/trunk/vnc_unixsrc/Xvnc/include/bitmaps/xsnow
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/MITMisc.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/Print.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/Printstr.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/XI.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/XIE.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/XIEproto.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/XIEprotost.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/XInput.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/XIproto.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/XKB.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/XKBgeom.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/XKBproto.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/XKBsrv.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/XKBstr.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/XLbx.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/XShm.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/XTest.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/Xag.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/Xagsrv.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/Xagstr.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/Xdbe.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/Xdbeproto.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/Xext.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/bigreqstr.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/dpms.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/dpmsstr.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/extutil.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/lbxbuf.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/lbxbufstr.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/lbxdeltastr.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/lbximage.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/lbxopts.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/lbxstr.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/lbxzlib.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/mitmiscstr.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/multibuf.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/multibufst.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/record.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/recordstr.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/saver.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/saverproto.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/scrnsaver.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/security.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/securstr.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/shape.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/shapestr.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/shmstr.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/sync.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/syncstr.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/xcmiscstr.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/xf86dga.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/xf86dgastr.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/xf86misc.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/xf86mscstr.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/xf86vmode.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/xf86vmstr.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/xtestext1.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/extensions/xteststr.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/fonts
   A /orig/trunk/vnc_unixsrc/Xvnc/include/fonts/FS.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/fonts/FSproto.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/fonts/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/include/fonts/font.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/fonts/fontstruct.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/fonts/fsmasks.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/keysym.h
   A /orig/trunk/vnc_unixsrc/Xvnc/include/keysymdef.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/X11
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/X11/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/X11/XKBlib.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/X11/Xcms.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/X11/Xlib.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/X11/Xlibint.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/X11/Xlocale.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/X11/Xresource.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/X11/Xutil.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/X11/cursorfont.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xau
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xau/AuDispose.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xau/AuFileName.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xau/AuGetAddr.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xau/AuGetBest.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xau/AuLock.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xau/AuRead.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xau/AuUnlock.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xau/AuWrite.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xau/Autest.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xau/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xau/README
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xau/Xauth.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xau/k5encode.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/A8Eq.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/AA16.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/AA32.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/AA8.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/Alloc.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/AofA8.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/CA8.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/CmpKey.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/DA16.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/DA32.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/DA8.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/DAofA8.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/DecKey.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/Fill.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/Flush.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/GenKey.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/IncKey.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/RA16.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/RA32.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/RA8.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/RAofA8.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/RC16.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/RC32.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/RC8.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/RHead.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/RR.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/RaA16.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/RaA32.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/RaA8.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/RaAoA8.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/Unwrap.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/WA16.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/WA32.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/WA8.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/WAofA8.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/WC16.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/WC32.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/WC8.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/Whead.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/Wrap.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/Wrap.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/Xdmcp/Xdmcp.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Speedo
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Speedo/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Speedo/adobe-iso.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Speedo/bics-iso.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Speedo/do_char.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Speedo/do_trns.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Speedo/htest.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Speedo/iface.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Speedo/keys.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Speedo/nsample.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Speedo/out_bl2d.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Speedo/out_blk.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Speedo/out_outl.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Speedo/out_scrn.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Speedo/out_util.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Speedo/reset.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Speedo/set_spcs.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Speedo/set_trns.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Speedo/spdo_prv.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Speedo/speedo.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Speedo/spencode.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Speedo/sperr.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Speedo/spfile.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Speedo/spfont.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Speedo/spfuncs.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Speedo/spglyph.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Speedo/spinfo.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Speedo/spint.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Speedo/sptobdf.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Speedo/useropt.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/arith.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/arith.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/blues.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/cluts.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/curves.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/curves.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/digit.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/fontfcn.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/fontfcn.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/fonts.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/hdigit.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/hints.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/hints.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/lines.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/lines.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/minimain.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/objects.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/objects.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/paths.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/paths.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/pictures.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/regions.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/regions.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/scanfont.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/spaces.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/spaces.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/strokes.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/t1funcs.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/t1hdigit.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/t1imager.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/t1info.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/t1intf.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/t1io.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/t1malloc.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/t1snap.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/t1stdio.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/t1stub.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/t1test.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/token.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/token.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/tokst.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/trig.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/type1.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/util.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/Type1/util.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/bitmap
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/bitmap/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/bitmap/bdfint.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/bitmap/bdfread.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/bitmap/bdfutils.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/bitmap/bitmap.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/bitmap/bitmapfunc.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/bitmap/bitmaputil.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/bitmap/bitscale.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/bitmap/fontink.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/bitmap/pcf.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/bitmap/pcfread.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/bitmap/pcfwrite.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/bitmap/snfread.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/bitmap/snfstr.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fc
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fc/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fc/fsconvert.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fc/fserve.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fc/fserve.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fc/fservestr.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fc/fsio.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fc/fsio.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fc/fslibos.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fontfile
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fontfile/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fontfile/bitsource.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fontfile/bufio.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fontfile/decompress.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fontfile/defaults.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fontfile/dirfile.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fontfile/ffcheck.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fontfile/fileio.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fontfile/filewr.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fontfile/fontdir.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fontfile/fontfile.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fontfile/fontscale.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fontfile/gunzip.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fontfile/printerfont.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fontfile/register.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/fontfile/renderers.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/include
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/include/bitmap.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/include/bufio.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/include/fntfil.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/include/fntfilio.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/include/fntfilst.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/include/fontmisc.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/include/fontshow.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/include/fontxlfd.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/util
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/util/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/util/atom.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/util/fontaccel.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/util/fontnames.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/util/fontutil.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/util/fontxlfd.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/util/format.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/util/miscutil.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/util/patcache.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/util/private.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/font/util/utilbitmap.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/xtrans
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/xtrans/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/xtrans/Xtrans.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/xtrans/Xtrans.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/xtrans/Xtransam.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/xtrans/Xtransdnet.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/xtrans/Xtransint.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/xtrans/Xtranslcl.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/xtrans/Xtransmnx.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/xtrans/Xtransos2.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/xtrans/Xtranssock.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/xtrans/Xtranstli.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/xtrans/Xtransutil.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/xtrans/transport.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/zlib
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/zlib/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/zlib/README
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/zlib/adler32.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/zlib/crc32.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/zlib/deflate.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/zlib/deflate.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/zlib/infblock.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/zlib/infblock.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/zlib/infcodes.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/zlib/infcodes.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/zlib/inffast.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/zlib/inffast.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/zlib/inflate.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/zlib/inftrees.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/zlib/inftrees.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/zlib/infutil.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/zlib/infutil.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/zlib/trees.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/zlib/zconf.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/zlib/zlib.h
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/zlib/zutil.c
   A /orig/trunk/vnc_unixsrc/Xvnc/lib/zlib/zutil.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xext
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xext/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xext/SecurityPolicy
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xext/appgroup.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xext/bigreq.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xext/dpms.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xext/mbuf.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xext/mbufbf.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xext/mbufpx.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xext/mitmisc.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xext/saver.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xext/security.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xext/shape.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xext/shm.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xext/sleepuntil.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xext/sync.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xext/xcmisc.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xext/xf86dga.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xext/xf86misc.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xext/xf86vmode.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xext/xprint.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xext/xtest.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xext/xtest1.frags
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xext/xtest1dd.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xext/xtest1dd.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xext/xtest1di.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xprint
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xprint/DiPrint.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/Xserver.man
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfb.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfb8bit.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfb8bit.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfb8cppl.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfb8line.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfballpriv.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbbitblt.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbblt.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbbres.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbbresd.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbbstore.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbcmap.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbfillarc.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbfillrct.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbfillsp.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbgc.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbgetsp.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbglblt8.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbhrzvert.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbigblt8.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbimage.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbline.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbmap.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbmskbits.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbmskbits.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbpixmap.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbply1rct.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbpntwin.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbpolypnt.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbpush8.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbrctstp8.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbrrop.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbrrop.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbscrinit.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbsetsp.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbsolid.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbteblt8.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbtegblt.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbtile32.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbtileodd.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbwindow.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/cfbzerarc.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/stip68kgnu.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/stipmips.s
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/stipple68k.s
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/stipsparc.s
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb/stipsprc32.s
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb16
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb16/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb24
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb24/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb24/cfbrrop24.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb32
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/cfb32/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/BuiltInAtoms
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/CHANGES
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/atom.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/buildatoms
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/colormap.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/cursor.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/devices.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/dispatch.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/dispatch.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/dixfonts.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/dixutils.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/events.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/extension.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/ffs.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/gc.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/globals.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/glyphcurs.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/grabs.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/initatoms.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/main.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/pixmap.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/privates.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/property.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/resource.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/swaprep.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/swapreq.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/swapreq.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/tables.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/window.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/dix/xpstubs.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/README
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/auth.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/cmap.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/corre.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/cutpaste.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/dispcur.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/draw.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/hextile.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/httpd.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/init.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/kbdptr.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfb.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rfbserver.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/rre.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/sockets.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/sprite.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/sprite.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/spritest.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/stats.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tableinitcmtemplate.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tableinittctemplate.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/tabletranstemplate.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/vnc/translate.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/xfree86
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/xfree86/common
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/xfree86/common/compiler.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/hw/xfree86/common/scoasm.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/XIstubs.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/closestr.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/closure.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/colormap.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/colormapst.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/cursor.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/cursorstr.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/dix.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/dixevents.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/dixfont.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/dixfontstr.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/dixgrabs.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/dixstruct.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/exevents.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/extension.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/extinit.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/extnsionst.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/gc.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/gcstruct.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/input.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/inputstr.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/misc.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/miscstruct.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/opaque.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/os.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/pixmap.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/pixmapstr.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/property.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/propertyst.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/region.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/regionstr.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/resource.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/rgb.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/screenint.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/scrnintstr.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/selection.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/servermd.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/site.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/swaprep.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/validate.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/window.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/include/windowstr.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/fastblt.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/maskbits.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/maskbits.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mergerop.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfb.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbbitblt.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbblt.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbbres.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbbresd.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbbstore.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbclip.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbcmap.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbfillarc.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbfillrct.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbfillsp.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbfont.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbgc.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbgetsp.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbhrzvert.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbimage.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbimggblt.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbline.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbmisc.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbpixmap.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbply1rct.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbplygblt.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbpntarea.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbpntwin.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbpolypnt.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbpushpxl.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbscrclse.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbscrinit.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbsetsp.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbtegblt.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbtile.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbwindow.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mfb/mfbzerarc.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/cbrt.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mi.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/miarc.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mibitblt.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mibstore.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mibstore.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mibstorest.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/miclipn.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/micursor.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/midash.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/midispcur.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mieq.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/miexpose.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mifillarc.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mifillarc.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mifillrct.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mifpoly.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mifpolycon.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/migc.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/migc.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/miglblt.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/miinitext.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/miline.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mipointer.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mipointer.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mipointrst.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mipoly.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mipoly.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mipolycon.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mipolygen.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mipolypnt.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mipolyrect.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mipolyseg.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mipolytext.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mipolyutil.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mipushpxl.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/miregion.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/miscanfill.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/miscrinit.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mispans.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mispans.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/misprite.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/misprite.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mispritest.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mistruct.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mivalidate.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mivaltree.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/miwideline.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/miwideline.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/miwindow.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mizerarc.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mizerarc.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/mi/mizerline.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/Imakefile
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/WaitFor.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/access.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/auth.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/connection.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/decompress.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/genalloca.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/hpsocket.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/io.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/iopreader.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/k5auth.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/lbxio.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/mitauth.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/oscolor.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/osdep.h
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/osinit.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/rpcauth.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/secauth.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/utils.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/wrapper.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/xalloc.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/xdmauth.c
   A /orig/trunk/vnc_unixsrc/Xvnc/programs/Xserver/os/xdmcp.c
   A /orig/trunk/vnc_unixsrc/Xvnc/registry
   A /orig/trunk/vnc_unixsrc/classes
   A /orig/trunk/vnc_unixsrc/classes/DesCipher.class
   A /orig/trunk/vnc_unixsrc/classes/animatedMemoryImageSource.class
   A /orig/trunk/vnc_unixsrc/classes/authenticationPanel.class
   A /orig/trunk/vnc_unixsrc/classes/clipboardFrame.class
   A /orig/trunk/vnc_unixsrc/classes/index.vnc
   A /orig/trunk/vnc_unixsrc/classes/optionsFrame.class
   A /orig/trunk/vnc_unixsrc/classes/rfbProto.class
   A /orig/trunk/vnc_unixsrc/classes/shared.vnc
   A /orig/trunk/vnc_unixsrc/classes/vncCanvas.class
   A /orig/trunk/vnc_unixsrc/classes/vncviewer.class
   A /orig/trunk/vnc_unixsrc/classes/vncviewer.jar
   A /orig/trunk/vnc_unixsrc/include
   A /orig/trunk/vnc_unixsrc/include/rfbproto.h
   A /orig/trunk/vnc_unixsrc/include/vncauth.h
   A /orig/trunk/vnc_unixsrc/libvncauth
   A /orig/trunk/vnc_unixsrc/libvncauth/Imakefile
   A /orig/trunk/vnc_unixsrc/libvncauth/d3des.c
   A /orig/trunk/vnc_unixsrc/libvncauth/d3des.h
   A /orig/trunk/vnc_unixsrc/libvncauth/vncauth.c
   A /orig/trunk/vnc_unixsrc/vncinstall
   A /orig/trunk/vnc_unixsrc/vncpasswd
   A /orig/trunk/vnc_unixsrc/vncpasswd/Imakefile
   A /orig/trunk/vnc_unixsrc/vncpasswd/vncpasswd.c
   A /orig/trunk/vnc_unixsrc/vncserver
   A /orig/trunk/vnc_unixsrc/vncviewer
   A /orig/trunk/vnc_unixsrc/vncviewer/Imakefile
   A /orig/trunk/vnc_unixsrc/vncviewer/README
   A /orig/trunk/vnc_unixsrc/vncviewer/Vncviewer
   A /orig/trunk/vnc_unixsrc/vncviewer/argsresources.c
   A /orig/trunk/vnc_unixsrc/vncviewer/colour.c
   A /orig/trunk/vnc_unixsrc/vncviewer/corre.c
   A /orig/trunk/vnc_unixsrc/vncviewer/desktop.c
   A /orig/trunk/vnc_unixsrc/vncviewer/dialogs.c
   A /orig/trunk/vnc_unixsrc/vncviewer/fullscreen.c
   A /orig/trunk/vnc_unixsrc/vncviewer/hextile.c
   A /orig/trunk/vnc_unixsrc/vncviewer/listen.c
   A /orig/trunk/vnc_unixsrc/vncviewer/misc.c
   A /orig/trunk/vnc_unixsrc/vncviewer/popup.c
   A /orig/trunk/vnc_unixsrc/vncviewer/rfbproto.c
   A /orig/trunk/vnc_unixsrc/vncviewer/rre.c
   A /orig/trunk/vnc_unixsrc/vncviewer/selection.c
   A /orig/trunk/vnc_unixsrc/vncviewer/shm.c
   A /orig/trunk/vnc_unixsrc/vncviewer/sockets.c
   A /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.c
   A /orig/trunk/vnc_unixsrc/vncviewer/vncviewer.h

Initial revision

------------------------------------------------------------------------
